/************************************************************************
 *
 * Licensed Materials - Property of IBM
 * Program Name: IBM DB2Everyplace Sync Client GUI
 * (c ) Copyright IBM Corp. 1999-2003. All Rights Reserved.
 *
 * US Government Users Restricted Rights 
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. Licensed Materials - Property of IBM
 *
 * IBM grants you ("Licensee") a non-exclusive, royalty free, license to
 * use Sample Code.  This software is provided as-is and without any
 * warranties, whether EXPRESS OR  IMPLIED, INCLUDING ANY IMPLIED
 * WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR 
 * NON-INFRINGEMENT. IBM AND ITS LICENSORS SHALL NOT BE LIABLE FOR ANY 
 * DAMAGES SUFFERED BY LICENSEE THAT RESULT FROM YOUR USE OF THE SOFTWARE.
 * IN NO EVENT WILL IBM OR ITS LICENSORS BE LIABLE FOR ANY LOST REVENUE,
 * PROFIT OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, 
 * INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE 
 * THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE 
 * SOFTWARE, EVEN IF IBM HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH 
 * DAMAGES.
 *
 ************************************************************************
 */
/************************************************************************
 *
 * File Name:  messages.h
 * Description: Error messages (Traditional Chinese)
 *
 ************************************************************************
 */

// Information events
#define ISYNCSTR_InfGeneral             isy_T("@T")
#define ISYNCSTR_InfSyncStarted         isy_T("PBƤwҰ")
#define ISYNCSTR_InfPrepMsg             isy_T("bǳưT...")
#define ISYNCSTR_InfSendMsg             isy_T("bǰeT...")
#define ISYNCSTR_InfWaitMsg             isy_T("bԦA^...")
#define ISYNCSTR_InfApplyMsg            isy_T("bMΦAT...")
#define ISYNCSTR_InfCancelingSync       isy_T("bPB...")
#define ISYNCSTR_InfSubsSetStarted      isy_T("wۼgwҰ")
#define ISYNCSTR_InfSyncingSubs         isy_T("bPBƩwۼg...")
#define ISYNCSTR_InfSubsSetFailed       isy_T("wۼg")
#define ISYNCSTR_InfSubsSetCanceled     isy_T("wۼgw")
#ifdef UNDER_PO
#define ISYNCSTR_InfSubsSetSucceeded    isy_T("wۼgw\\")
#define ISYNCSTR_InfSyncSucceeded       isy_T("PBƤw\\")
#else
#define ISYNCSTR_InfSubsSetSucceeded    isy_T("wۼgw\")
#define ISYNCSTR_InfSyncSucceeded       isy_T("PBƤw\")
#endif
#define ISYNCSTR_InfSyncFailed          isy_T("PBƤw")
#define ISYNCSTR_InfSyncCanceled        isy_T("PBƤw")
#define ISYNCSTR_InfSyncProg            isy_T("PBƥbi")
#define ISYNCSTR_InfNoNewChange         isy_T("WPBƫSܧ")
#define ISYNCSTR_InfLoginFailed         isy_T("nJ")

// Conflict events
#define ISYNCSTR_CftReject              isy_T("Ĭ𪺰OG")

// Error events
#define ISYNCSTR_ErrOpenAdapter         isy_T("Lk}ҰtdG")
#define ISYNCSTR_ErrLoadAdapter         isy_T("LkJtdG")
#define ISYNCSTR_ErrCloseAdapter        isy_T("LktdG")
#define ISYNCSTR_ErrAuthenticateKey     isy_T("LkѧOΤݰT榡")
#define ISYNCSTR_ErrClientCryptoFailed  isy_T("Τݥ[K/ѱK")
#define ISYNCSTR_ErrEncryptNotAvail     isy_T("LiΪ[K")
#define ISYNCSTR_ErrEncryptLibOpen      isy_T("Lk}ҥ[Kɮ׮w")
#define ISYNCSTR_ErrSubsNotFound        isy_T("䤣wۼg")
#define ISYNCSTR_ErrSubsNotAvail        isy_T("Aשwۼg")
#define ISYNCSTR_ErrSubsDefAltered      isy_T("wܩwۼgwq")

#define ISYNCSTR_ErrCloseNetLib         isy_T("Lkɮ׮w")
#define ISYNCSTR_ErrOutOfMemory         isy_T("O餣")

#define ISYNCSTR_ErrAllocResource       isy_T("Lktmtd귽")
#define ISYNCSTR_ErrConnectData         isy_T("Lksؼи")
#define ISYNCSTR_ErrConnectFile         isy_T("Lkإɮשθ|")
#define ISYNCSTR_ErrDisconnectData      isy_T("Lk_ؼи")
#define ISYNCSTR_ErrNoData              isy_T("wۼgSQwۼg")
#define ISYNCSTR_ErrSyncDisabled        isy_T("AiwPBƱҥΩwۼg")
#define ISYNCSTR_ErrServerException     isy_T("Ai`p")
#define ISYNCSTR_ErrMessageFormat       isy_T("DwT榡")
#define ISYNCSTR_ErrNotFound            isy_T("䤣nDؼЪ")
#define ISYNCSTR_ErrEndOfData           isy_T("DwƵ")
#define ISYNCSTR_ErrDataTooLong         isy_T("۹ӻAƹL")
#define ISYNCSTR_ErrReadOnly            isy_T("ձNܧWŪ")
#define ISYNCSTR_ErrOperation           isy_T("դWe\@~")
#define ISYNCSTR_ErrUnauthorized        isy_T("Lvsw[Kؼи")
#define ISYNCSTR_ErrNotAvailable        isy_T("LiΪnD")
#define ISYNCSTR_ErrNotSupported        isy_T("䴩nD")

#define ISYNCSTR_ErrInternal            isy_T("~Τ@PA")

// Fatal events
#define ISYNCSTR_FatSyncCfgAbort        isy_T("tmPBƥ - PBƤw_")
#define ISYNCSTR_FatAuthenticateFailed  isy_T("ŲO - PBƤw_")
#define ISYNCSTR_FatIncompVersion       isy_T("ۮe Sync Client ")
#define ISYNCSTR_FatInvalidSession      isy_T("ձqƥΤݦPB")
#define ISYNCSTR_FatSyncGroup           isy_T("NϥΪ̫w㦳PBƱMvs")
#define ISYNCSTR_FatRegisterDevice      isy_T("Lkn˸m")
#define ISYNCSTR_FatServerForbidden     isy_T("TPBƦA")
#define ISYNCSTR_FatServerNotFound      isy_T("䤣A")
#define ISYNCSTR_FatServerNotAvail      isy_T("AL^")
#define ISYNCSTR_FatServer              isy_T(" Sync Server ~")
#define ISYNCSTR_FatNetOpenConn         isy_T("Lk}ҳsu")
#define ISYNCSTR_FatOpenNetLib          isy_T("Lk}Һɮ׮w")
#define ISYNCSTR_FatNetConnect          isy_T("Lkإ߳su")
#define ISYNCSTR_FatNetSend             isy_T("LkǰenD")
#define ISYNCSTR_FatNetReceive          isy_T("Lk^")
#define ISYNCSTR_FatNetTimeout          isy_T("^Юɵo͹O")
#define ISYNCSTR_FatResolveHost         isy_T("LkѪRDW")
#define ISYNCSTR_FatNetUnknown          isy_T("~")
#define ISYNCSTR_FatServerBusy          isy_T("Au")
#define ISYNCSTR_FatProtocolNotSupported isy_T("䴩ǿqTw")
#define ISYNCSTR_FatCreateImage         isy_T("զbSĸ˸m ID pUإߥΤݬM")

// Retry events
#define ISYNCSTR_TryNetConnect          isy_T("suѡCO_աH")
#define ISYNCSTR_TryNetSend             isy_T("ǰenDѡCO_աH")
#define ISYNCSTR_TryNetReceive          isy_T("^ХѡCO_աH")
#define ISYNCSTR_TryNetTimeout          isy_T("OɡCO_~򵥫ݡH")
#define ISYNCSTR_TryServerBusy          isy_T("AuCnAնܡH")

// Query events
#define ISYNCSTR_QueCancel              isy_T("zO_nuvH")
#define ISYNCSTR_QueLogin               isy_T("bdߵnJ... ")
#define ISYNCSTR_QueCancelUponError     isy_T("oͿ~CO_~H")
#define ISYNCSTR_QueSubsTarget          isy_T("bdߩwۼgƮw...")

/************************************************************************
 * GUI resource strings
 ************************************************************************
 */

#define ISYNCSTR_DateTime               isy_T("y-m-d h:t:s")	
#define ISYNCSTR_ChangeTarget           isy_T("ܧؼХؿݭn]tmCO_~H")
#define ISYNCSTR_ResetConfig            isy_T("@UuTwvNMҦtmơAåB|bU@ӦPBƤszCO_n~H")

#ifdef UNDER_PO
#define ISYNCSTR_Succeeded              isy_T("\\")
#else
#define ISYNCSTR_Succeeded              isy_T("\")
#endif
#define ISYNCSTR_Failed                 isy_T("")
#define ISYNCSTR_Cancelled              isy_T("w")
#define ISYNCSTR_Ready                  isy_T("Ƨ")

#define ISYNCSTR_Subscription           isy_T("wۼg")
#define ISYNCSTR_SubsSet                isy_T("wۼg")
#define ISYNCSTR_Synchronize            isy_T("PB")
#define ISYNCSTR_Synch                  isy_T("PB")
#define ISYNCSTR_TryConnect             isy_T("իإ߳su...")

#define ISYNCSTR_Retry                  isy_T("")
#define ISYNCSTR_StartupError           isy_T("uPBƤvҰʿ~CнTw|O_ġC~XG")

#define ISYNCSTR_MSG_CONFLICT           isy_T("G")
#define ISYNCSTR_MSG_OP_DELETE          isy_T("@~GR")
#define ISYNCSTR_MSG_OP_INSERT          isy_T("@~GJ")
#define ISYNCSTR_MSG_OP_UPDATE          isy_T("@~Gs")
#define ISYNCSTR_MSG_OP_INVALID         isy_T("@~GL")
#define ISYNCSTR_MSG_DATA               isy_T("ơG")
#define ISYNCSTR_MSG_NULL               isy_T(" [ ŭ ] ")

#define ISYNCSTR_Enabled                isy_T("wҥ")
#define ISYNCSTR_Disabled               isy_T("w")

#define ISYNCSTR_Default                isy_T("w]")
#define ISYNCSTR_Detailed               isy_T("")

#define ISYNCSTR_TIMEOUTMinimum         isy_T("(̤p)")
#define ISYNCSTR_TIMEOUTNever           isy_T("()")
#define ISYNCSTR_TIMEOUT1min            isy_T("1 ")
#define ISYNCSTR_TIMEOUT2min            isy_T("2 ")
#define ISYNCSTR_TIMEOUT3min            isy_T("3 ")
#define ISYNCSTR_TIMEOUT4min            isy_T("4 ")
#define ISYNCSTR_TIMEOUT5min            isy_T("5 ")
#define ISYNCSTR_TIMEOUT6min            isy_T("6 ")
#define ISYNCSTR_TIMEOUT7min            isy_T("7 ")
#define ISYNCSTR_TIMEOUT8min            isy_T("8 ")
#define ISYNCSTR_TIMEOUT9min            isy_T("9 ")
#define ISYNCSTR_TIMEOUT10min           isy_T("10 ")
#define ISYNCSTR_TIMEOUT15min           isy_T("15 ")
#define ISYNCSTR_TIMEOUT20min           isy_T("20 ")
#define ISYNCSTR_TIMEOUT25min           isy_T("25 ")
#define ISYNCSTR_TIMEOUT30min           isy_T("30 ")
#define ISYNCSTR_TIMEOUT40min           isy_T("40 ")
#define ISYNCSTR_TIMEOUT50min           isy_T("50 ")
#define ISYNCSTR_TIMEOUT60min           isy_T("60 ")

#define ISYNCSTR_4KMODEM                isy_T("4 K ƾھ")
#define ISYNCSTR_9KGSM                  isy_T("9 K GSM")
#define ISYNCSTR_19KMODEM               isy_T("19 K ƾھ")
#define ISYNCSTR_56KMODEM               isy_T("56 K ƾھ")
#define ISYNCSTR_64KGPRS                isy_T("64 K GPRS")

#define ISYNCSTR_About                  isy_T(" DB2 Sync")
#define ISYNCSTR_SubsSet_Abv            isy_T("wۼg")
#define ISYNCSTR_SubsSets_Abv           isy_T("wۼg")
#define ISYNCSTR_Settings               isy_T("]w")
#define ISYNCSTR_SubsSet_Settings       isy_T("wۼg]w")
#define ISYNCSTR_Server                 isy_T("A")
#define ISYNCSTR_Enable                 isy_T("ҥ")
#define ISYNCSTR_Disable                isy_T("")
#define ISYNCSTR_Details                isy_T("")
#define ISYNCSTR_Purge                  isy_T("M")
#define ISYNCSTR_Status                 isy_T("A")
#define ISYNCSTR_Reset                  isy_T("]")
#define ISYNCSTR_Client_Settings        isy_T("Τݳ]w")
#define ISYNCSTR_Client                 isy_T("Τ")
#define ISYNCSTR_Trace                  isy_T("l")
#define ISYNCSTR_TargetDir              isy_T("ؼи|G")
#define ISYNCSTR_DB2e_Authen            isy_T("DB2e ŲO")
#define ISYNCSTR_Target                 isy_T("ؼ")
#define ISYNCSTR_DB2e_User              isy_T("DB2e ϥΪ")
#define ISYNCSTR_DB2e_Password          isy_T("DB2e KX")
#define ISYNCSTR_Network_Settings       isy_T("]w")
#define ISYNCSTR_Network                isy_T("")
#define ISYNCSTR_Timeout                isy_T("O")
#define ISYNCSTR_Network_Speed          isy_T("t")
#define ISYNCSTR_Proxy                  isy_T("ϥ Proxy")
#define ISYNCSTR_Host                   isy_T("D")
#define ISYNCSTR_Port                   isy_T("")
#define ISYNCSTR_Save_Password          isy_T("xsKX")
#define ISYNCSTR_Server_Settings        isy_T("A]w")
#define ISYNCSTR_URL                    isy_T("URL")
#define ISYNCSTR_User                   isy_T("ϥΪ")
#define ISYNCSTR_Password               isy_T("KX")
#define ISYNCSTR_Synchronization        isy_T("PB")
#define ISYNCSTR_Log                    isy_T("x")
#define ISYNCSTR_File                   isy_T("ɮ")
#define ISYNCSTR_Help                   isy_T("")
#define ISYNCSTR_Exit                   isy_T("")
#define ISYNCSTR_OK                     isy_T("Tw")
#define ISYNCSTR_Cancel                 isy_T("")
#define ISYNCSTR_Change                 isy_T("ܧ")
#define ISYNCSTR_Message                isy_T("T")
#define ISYNCSTR_Action                 isy_T("ʧ@")
#define ISYNCSTR_No                     isy_T("_")
#define ISYNCSTR_Yes                    isy_T("O")
#define ISYNCSTR_Continue               isy_T("~")
#define ISYNCSTR_NotSet                 isy_T("]wϥΪ/KX")
#define ISYNCSTR_Device                 isy_T("˸m")
#define ISYNCSTR_Unknown                isy_T("")
#define ISYNCSTR_DB2Sync                isy_T("DB2 Sync")
#define ISYNCSTR_Slot                   isy_T("O鴡ѡG")
#define ISYNCSTR_Save                   isy_T("xs")
#define ISYNCSTR_Enter                  isy_T("JG")
#define ISYNCSTR_Assigned               isy_T("ww")
#define ISYNCSTR_NotAssigned            isy_T("w")
#define ISYNCSTR_Options                isy_T("ﶵ")
