/************************************************************************
 *
 * Licensed Materials - Property of IBM
 * Program Name: IBM DB2Everyplace Sync Client GUI
 * (c ) Copyright IBM Corp. 1999-2003. All Rights Reserved.
 *
 * US Government Users Restricted Rights 
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. Licensed Materials - Property of IBM
 *
 * IBM grants you ("Licensee") a non-exclusive, royalty free, license to
 * use Sample Code.  This software is provided as-is and without any
 * warranties, whether EXPRESS OR  IMPLIED, INCLUDING ANY IMPLIED
 * WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR 
 * NON-INFRINGEMENT. IBM AND ITS LICENSORS SHALL NOT BE LIABLE FOR ANY 
 * DAMAGES SUFFERED BY LICENSEE THAT RESULT FROM YOUR USE OF THE SOFTWARE.
 * IN NO EVENT WILL IBM OR ITS LICENSORS BE LIABLE FOR ANY LOST REVENUE,
 * PROFIT OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, 
 * INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE 
 * THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE 
 * SOFTWARE, EVEN IF IBM HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH 
 * DAMAGES.
 *
 ************************************************************************
 */
/************************************************************************
 *
 * File Name:  messages.h
 * Description: Error messages (Spanish)
 *
 ************************************************************************
 */

// Information events
#define ISYNCSTR_InfGeneral             isy_T("Informacin general")
#define ISYNCSTR_InfSyncStarted         isy_T("Sincronizacin iniciada")
#define ISYNCSTR_InfPrepMsg             isy_T("Preparando mensaje...")
#define ISYNCSTR_InfSendMsg             isy_T("Enviando mensaje...")
#define ISYNCSTR_InfWaitMsg             isy_T("Esperando respuesta servidor...")
#define ISYNCSTR_InfApplyMsg            isy_T("Aplicando mensaje servidor...")
#define ISYNCSTR_InfCancelingSync       isy_T("Cancelando sincronizacin ...")
#define ISYNCSTR_InfSubsSetStarted      isy_T("Conjunto suscripcin iniciado")
#define ISYNCSTR_InfSyncingSubs         isy_T("Sincronizando la suscripcin...")
#define ISYNCSTR_InfSubsSetFailed       isy_T("Conjunto suscripcin errneo")
#define ISYNCSTR_InfSubsSetCanceled     isy_T("Conjunto suscripcin cancelado")
#define ISYNCSTR_InfSubsSetSucceeded    isy_T("Conjunto suscr. satisfactorio")
#define ISYNCSTR_InfSyncSucceeded       isy_T("Sincronizacin satisfactoria")
#define ISYNCSTR_InfSyncFailed          isy_T("La sincronizacin ha fallado")
#define ISYNCSTR_InfSyncCanceled        isy_T("Sincronizacin cancelada")
#define ISYNCSTR_InfSyncProg            isy_T("Sincronizacin en proceso")
#define ISYNCSTR_InfNoNewChange         isy_T("Sin cambios desde ltima sincr.")
#define ISYNCSTR_InfLoginFailed         isy_T("La conexin ha fallado")

// Conflict events
#define ISYNCSTR_CftReject              isy_T("Registros en conflicto: ")

// Error events
#define ISYNCSTR_ErrOpenAdapter         isy_T("No se pudo abrir adaptador:")
#define ISYNCSTR_ErrLoadAdapter         isy_T("No se pudo cargar adaptador:")
#define ISYNCSTR_ErrCloseAdapter        isy_T("No se pudo cerrar adaptador:")
#define ISYNCSTR_ErrAuthenticateKey     isy_T("Formato de mensaje cliente no reconocible")
#define ISYNCSTR_ErrClientCryptoFailed  isy_T("Ha fallado el cifrado/descifrado de cliente")
#define ISYNCSTR_ErrEncryptNotAvail     isy_T("Cifrado no disponible")
#define ISYNCSTR_ErrEncryptLibOpen      isy_T("Ha fallado la apertura de la biblioteca de cifrado")
#define ISYNCSTR_ErrSubsNotFound        isy_T("Suscripcin no encontrada")
#define ISYNCSTR_ErrSubsNotAvail        isy_T("Suscripcin bloqueada por el servidor")
#define ISYNCSTR_ErrSubsDefAltered      isy_T("Alterada la definicin de suscripcin")

#define ISYNCSTR_ErrCloseNetLib         isy_T("Ha fallado el cierre de la biblioteca de Red")
#define ISYNCSTR_ErrOutOfMemory         isy_T("Sin memoria")

#define ISYNCSTR_ErrAllocResource       isy_T("Ha fallado la asignacin de recursos de adaptador")
#define ISYNCSTR_ErrConnectData         isy_T("Ha fallado la conexin a los datos de destino")
#define ISYNCSTR_ErrConnectFile         isy_T("Error al crear el archivo o la va de acceso")
#define ISYNCSTR_ErrDisconnectData      isy_T("Ha fallado la desconexin de los datos de destino")
#define ISYNCSTR_ErrNoData              isy_T("No se han suscrito tablas en la suscripcin")
#define ISYNCSTR_ErrSyncDisabled        isy_T("Suscripcin informada del servidor no habilitada para sincronizacin")
#define ISYNCSTR_ErrServerException     isy_T("Excepciones informadas del servidor")
#define ISYNCSTR_ErrMessageFormat       isy_T("Formato de mensaje inesperado")
#define ISYNCSTR_ErrNotFound            isy_T("Tabla de destino requerida no encontrada")
#define ISYNCSTR_ErrEndOfData           isy_T("Final no esperado de los datos")
#define ISYNCSTR_ErrDataTooLong         isy_T("Datos demasiados largos para el campo correspondiente")
#define ISYNCSTR_ErrReadOnly            isy_T("Intento de carga de cambios en datos de slo lectura")
#define ISYNCSTR_ErrOperation           isy_T("Intento de carga de operaciones no permitidas")
#define ISYNCSTR_ErrUnauthorized        isy_T("No autorizado a acceder a datos de destino cifrados")
#define ISYNCSTR_ErrNotAvailable        isy_T("Datos solicitados no disponibles")
#define ISYNCSTR_ErrNotSupported        isy_T("El tipo de datos requerido no est soportado")

#define ISYNCSTR_ErrInternal            isy_T("Error interno o estado incoherente")

// Fatal events
#define ISYNCSTR_FatSyncCfgAbort        isy_T("Ha fallado la sincr de config - sincronizacin cancelada anormalmente")
#define ISYNCSTR_FatAuthenticateFailed  isy_T("Ha fallado la autentificacin - sincronizacin cancelada anormalmente")
#define ISYNCSTR_FatIncompVersion       isy_T("Versin de Sync Client incompatible")
#define ISYNCSTR_FatInvalidSession      isy_T("Intento para sincronizar desde un cliente de copia de seguridad")
#define ISYNCSTR_FatSyncGroup           isy_T("Usuario no asignado a ningn grupo con privilegio de sincronizacin")
#define ISYNCSTR_FatRegisterDevice      isy_T("Ha fallado el registro del dispositivo")
#define ISYNCSTR_FatServerForbidden     isy_T("Prohibido sincronizar con el servidor")
#define ISYNCSTR_FatServerNotFound      isy_T("Servidor no encontrado")
#define ISYNCSTR_FatServerNotAvail      isy_T("El servidor no responde")
#define ISYNCSTR_FatServer              isy_T("Error de Sync Server interno")
#define ISYNCSTR_FatNetOpenConn         isy_T("Ha fallado la apertura de la conexin")
#define ISYNCSTR_FatOpenNetLib          isy_T("Ha fallado la apertura de la biblioteca de Red")
#define ISYNCSTR_FatNetConnect          isy_T("No se pudo establecer conexin")
#define ISYNCSTR_FatNetSend             isy_T("No se pudo enviar la peticin")
#define ISYNCSTR_FatNetReceive          isy_T("No se pudo recibir la respuesta")
#define ISYNCSTR_FatNetTimeout          isy_T("Tiempo de espera excedido al recibir la respuesta")
#define ISYNCSTR_FatResolveHost         isy_T("Ha fallado la resolucin de nombre de sistema principal")
#define ISYNCSTR_FatNetUnknown          isy_T("Error de red desconocido")
#define ISYNCSTR_FatServerBusy          isy_T("Servidor ocupado")
#define ISYNCSTR_FatProtocolNotSupported isy_T("Protocolo de transporte no soportado")
#define ISYNCSTR_FatCreateImage         isy_T("Intento de crear imagen de cliente sin un ID de dispositivo vlido")

// Retry events
#define ISYNCSTR_TryNetConnect          isy_T("Ha fallado la conexin a la red. Desea reintentar?")
#define ISYNCSTR_TryNetSend             isy_T("Ha fallado la peticin de envo. Desea reintentar?")
#define ISYNCSTR_TryNetReceive          isy_T("Ha fallado la peticin de recepcin. Desea reintentar?")
#define ISYNCSTR_TryNetTimeout          isy_T("Tiempo excedido de recepcin. Desea esperar ms?")
#define ISYNCSTR_TryServerBusy          isy_T("Servidor ocupado. Reintentar?")

// Query events
#define ISYNCSTR_QueCancel              isy_T("Desea Cancelar?")
#define ISYNCSTR_QueLogin               isy_T("Consultando la conexin... ")
#define ISYNCSTR_QueCancelUponError     isy_T("Se ha producido un error. Desea continuar?")
#define ISYNCSTR_QueSubsTarget          isy_T("Consultando base de datos de suscripciones...")

/************************************************************************
 * GUI resource strings
 ************************************************************************
 */

#define ISYNCSTR_DateTime               isy_T("d/m/y h:t:s")	
#define ISYNCSTR_ChangeTarget           isy_T("Para cambiar el directorio de destino es necesario restaurar la configuracin. Desea continuar?")
#define ISYNCSTR_ResetConfig            isy_T("Si pulsa 'Bien' se borrarn todos los datos de config. y se har una renovacin completa en la prx. sincronizacin. Continuar?")

#define ISYNCSTR_Succeeded              isy_T("Satisfactorio")
#define ISYNCSTR_Failed                 isy_T("Ha fallado")
#define ISYNCSTR_Cancelled              isy_T("Cancelado")
#define ISYNCSTR_Ready                  isy_T("Preparado")

#define ISYNCSTR_Subscription           isy_T("Suscripcin ")
#define ISYNCSTR_SubsSet                isy_T("Conjunto de suscripcin ")
#define ISYNCSTR_Synchronize            isy_T("Sincronizar")
#define ISYNCSTR_Synch                  isy_T("Sincr.")
#define ISYNCSTR_TryConnect             isy_T("Intentando establecer conexin...")

#define ISYNCSTR_Retry                  isy_T("Reintentar")
#define ISYNCSTR_StartupError           isy_T("Error de arranque de Sync Engine. Asegurarse de que la va de acceso es vlida. Cdigo de error: ")

#define ISYNCSTR_MSG_CONFLICT           isy_T("Tabla:")
#define ISYNCSTR_MSG_OP_DELETE          isy_T("Operacin: suprimir")
#define ISYNCSTR_MSG_OP_INSERT          isy_T("Operacin: insertar")
#define ISYNCSTR_MSG_OP_UPDATE          isy_T("Operacin: actualizar")
#define ISYNCSTR_MSG_OP_INVALID         isy_T("Operacin: no vlido")
#define ISYNCSTR_MSG_DATA               isy_T("Fecha:")
#define ISYNCSTR_MSG_NULL               isy_T(" [ NULL ] ")

#define ISYNCSTR_Enabled                isy_T("Habilitado")
#define ISYNCSTR_Disabled               isy_T("Inhabilitado")

#define ISYNCSTR_Default                isy_T("Por omisin")
#define ISYNCSTR_Detailed               isy_T("Detallado")

#define ISYNCSTR_TIMEOUTMinimum         isy_T("(mnimo)")
#define ISYNCSTR_TIMEOUTNever           isy_T("(nunca)")
#define ISYNCSTR_TIMEOUT1min            isy_T("1 min")
#define ISYNCSTR_TIMEOUT2min            isy_T("2 min")
#define ISYNCSTR_TIMEOUT3min            isy_T("3 min")
#define ISYNCSTR_TIMEOUT4min            isy_T("4 min")
#define ISYNCSTR_TIMEOUT5min            isy_T("5 min")
#define ISYNCSTR_TIMEOUT6min            isy_T("6 min")
#define ISYNCSTR_TIMEOUT7min            isy_T("7 min")
#define ISYNCSTR_TIMEOUT8min            isy_T("8 min")
#define ISYNCSTR_TIMEOUT9min            isy_T("9 min")
#define ISYNCSTR_TIMEOUT10min           isy_T("10 min")
#define ISYNCSTR_TIMEOUT15min           isy_T("15 min")
#define ISYNCSTR_TIMEOUT20min           isy_T("20 min")
#define ISYNCSTR_TIMEOUT25min           isy_T("25 min")
#define ISYNCSTR_TIMEOUT30min           isy_T("30 min")
#define ISYNCSTR_TIMEOUT40min           isy_T("40 min")
#define ISYNCSTR_TIMEOUT50min           isy_T("50 min")
#define ISYNCSTR_TIMEOUT60min           isy_T("60 min")

#define ISYNCSTR_4KMODEM                isy_T("4 K Mdem")
#define ISYNCSTR_9KGSM                  isy_T("9 K GSM")
#define ISYNCSTR_19KMODEM               isy_T("19 K Mdem")
#define ISYNCSTR_56KMODEM               isy_T("56 K Mdem")
#define ISYNCSTR_64KGPRS                isy_T("64 K GPRS")

#define ISYNCSTR_About                  isy_T("Acerca de DB2 Sync")
#define ISYNCSTR_SubsSet_Abv            isy_T("Conj suscr")
#define ISYNCSTR_SubsSets_Abv           isy_T("Conjs suscr")
#define ISYNCSTR_Settings               isy_T("Valores")
#define ISYNCSTR_SubsSet_Settings       isy_T("Valores conj. suscripciones")
#define ISYNCSTR_Server                 isy_T("Servidor")
#define ISYNCSTR_Enable                 isy_T("Habilitar")
#define ISYNCSTR_Disable                isy_T("Inhabilitar")
#define ISYNCSTR_Details                isy_T("Detalles")
#define ISYNCSTR_Purge                  isy_T("Eliminar")
#define ISYNCSTR_Status                 isy_T("Estado")
#define ISYNCSTR_Reset                  isy_T("Restaurar")
#define ISYNCSTR_Client_Settings        isy_T("Valores de cliente")
#define ISYNCSTR_Client                 isy_T("Cliente")
#define ISYNCSTR_Trace                  isy_T("Rastreo")
#define ISYNCSTR_TargetDir              isy_T("Va de acceso de destino:")
#define ISYNCSTR_DB2e_Authen            isy_T("Autentificacin de DB2e")
#define ISYNCSTR_Target                 isy_T("Destino")
#define ISYNCSTR_DB2e_User              isy_T("Usuario DB2e")
#define ISYNCSTR_DB2e_Password          isy_T("Contrasea DB2e")
#define ISYNCSTR_Network_Settings       isy_T("Valores de red")
#define ISYNCSTR_Network                isy_T("Red")
#define ISYNCSTR_Timeout                isy_T("Tiempo de espera")
#define ISYNCSTR_Network_Speed          isy_T("Velocidad de red")
#define ISYNCSTR_Proxy                  isy_T("Usar proxy")
#define ISYNCSTR_Host                   isy_T("Sist. Pral.")
#define ISYNCSTR_Port                   isy_T("Puerto")
#define ISYNCSTR_Save_Password          isy_T("Guardar la contrasea")
#define ISYNCSTR_Server_Settings        isy_T("Valores de servidor")
#define ISYNCSTR_URL                    isy_T("URL")
#define ISYNCSTR_User                   isy_T("Usuario")
#define ISYNCSTR_Password               isy_T("Contrasea")
#define ISYNCSTR_Synchronization        isy_T("Sincronizacin")
#define ISYNCSTR_Log                    isy_T("Anot. cron.")
#define ISYNCSTR_File                   isy_T("Archivo")
#define ISYNCSTR_Help                   isy_T("Ayuda")
#define ISYNCSTR_Exit                   isy_T("Salir")
#define ISYNCSTR_OK                     isy_T("Bien")
#define ISYNCSTR_Cancel                 isy_T("Cancelar")
#define ISYNCSTR_Change                 isy_T("Cambiar")
#define ISYNCSTR_Message                isy_T("Mensaje")
#define ISYNCSTR_Action                 isy_T("Accin")
#define ISYNCSTR_No                     isy_T("No")
#define ISYNCSTR_Yes                    isy_T("S")
#define ISYNCSTR_Continue               isy_T("Continuar")
#define ISYNCSTR_NotSet                 isy_T("No se ha establecido usuario/contrasea")
#define ISYNCSTR_Device                 isy_T("Dispositivo")
#define ISYNCSTR_Unknown                isy_T("Desconocido ")
#define ISYNCSTR_DB2Sync                isy_T("DB2 Sync")
#define ISYNCSTR_Slot                   isy_T("Ranura de memoria:")
#define ISYNCSTR_Save                   isy_T("Guardar")
#define ISYNCSTR_Enter                  isy_T("Entrar")
#define ISYNCSTR_Assigned               isy_T("Asignado")
#define ISYNCSTR_NotAssigned            isy_T("No asignado")
#define ISYNCSTR_Options                isy_T("Opciones")
