/************************************************************************
 *
 * Licensed Materials - Property of IBM
 * Program Name: IBM DB2Everyplace Sync Client GUI
 * (c ) Copyright IBM Corp. 1999-2003. All Rights Reserved.
 *
 * US Government Users Restricted Rights 
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. Licensed Materials - Property of IBM
 *
 * IBM grants you ("Licensee") a non-exclusive, royalty free, license to
 * use Sample Code.  This software is provided as-is and without any
 * warranties, whether EXPRESS OR  IMPLIED, INCLUDING ANY IMPLIED
 * WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR 
 * NON-INFRINGEMENT. IBM AND ITS LICENSORS SHALL NOT BE LIABLE FOR ANY 
 * DAMAGES SUFFERED BY LICENSEE THAT RESULT FROM YOUR USE OF THE SOFTWARE.
 * IN NO EVENT WILL IBM OR ITS LICENSORS BE LIABLE FOR ANY LOST REVENUE,
 * PROFIT OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, 
 * INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE 
 * THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE 
 * SOFTWARE, EVEN IF IBM HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH 
 * DAMAGES.
 *
 ************************************************************************
 */
/************************************************************************
 *
 * File Name:  messages.h
 * Description: Error messages (Hebrew)
 *
 ************************************************************************
 */

// Information events
#define ISYNCSTR_InfGeneral             isy_T(" ")
#define ISYNCSTR_InfSyncStarted         isy_T(" ")
#define ISYNCSTR_InfPrepMsg             isy_T(" ... ")
#define ISYNCSTR_InfSendMsg             isy_T(" ... ")
#define ISYNCSTR_InfWaitMsg             isy_T("  ... ")
#define ISYNCSTR_InfApplyMsg            isy_T("  ...")
#define ISYNCSTR_InfCancelingSync       isy_T("  ... ")
#define ISYNCSTR_InfSubsSetStarted      isy_T("  ")
#define ISYNCSTR_InfSyncingSubs         isy_T("  ... ")
#define ISYNCSTR_InfSubsSetFailed       isy_T("  ")
#define ISYNCSTR_InfSubsSetCanceled     isy_T("  ")
#define ISYNCSTR_InfSubsSetSucceeded    isy_T("  ")
#define ISYNCSTR_InfSyncSucceeded       isy_T(" ")
#define ISYNCSTR_InfSyncFailed          isy_T(" ")
#define ISYNCSTR_InfSyncCanceled        isy_T(" ")
#define ISYNCSTR_InfSyncProg            isy_T(" ")
#define ISYNCSTR_InfNoNewChange         isy_T("     ")
#define ISYNCSTR_InfLoginFailed         isy_T(" ")

// Conflict events
#define ISYNCSTR_CftReject              isy_T(" :")

// Error events
#define ISYNCSTR_ErrOpenAdapter         isy_T("  :")
#define ISYNCSTR_ErrLoadAdapter         isy_T("  :")
#define ISYNCSTR_ErrCloseAdapter        isy_T("  :")
#define ISYNCSTR_ErrAuthenticateKey     isy_T("     ")
#define ISYNCSTR_ErrClientCryptoFailed  isy_T("/   ")
#define ISYNCSTR_ErrEncryptNotAvail     isy_T("  ")
#define ISYNCSTR_ErrEncryptLibOpen      isy_T("   ")
#define ISYNCSTR_ErrSubsNotFound        isy_T("  ")
#define ISYNCSTR_ErrSubsNotAvail        isy_T("    ")
#define ISYNCSTR_ErrSubsDefAltered      isy_T("  ")

#define ISYNCSTR_ErrCloseNetLib         isy_T("   ")
#define ISYNCSTR_ErrOutOfMemory         isy_T("  ")

#define ISYNCSTR_ErrAllocResource       isy_T("   ")
#define ISYNCSTR_ErrConnectData         isy_T("    ")
#define ISYNCSTR_ErrConnectFile         isy_T("    ")
#define ISYNCSTR_ErrDisconnectData      isy_T("   ")
#define ISYNCSTR_ErrNoData              isy_T("   ")
#define ISYNCSTR_ErrSyncDisabled        isy_T("       ")
#define ISYNCSTR_ErrServerException     isy_T("   ")
#define ISYNCSTR_ErrMessageFormat       isy_T("   ")
#define ISYNCSTR_ErrNotFound            isy_T("    ")
#define ISYNCSTR_ErrEndOfData           isy_T("    ")
#define ISYNCSTR_ErrDataTooLong         isy_T("     ")
#define ISYNCSTR_ErrReadOnly            isy_T("    -")
#define ISYNCSTR_ErrOperation           isy_T("   ")
#define ISYNCSTR_ErrUnauthorized        isy_T("      ")
#define ISYNCSTR_ErrNotAvailable        isy_T("   ")
#define ISYNCSTR_ErrNotSupported        isy_T("    ")

#define ISYNCSTR_ErrInternal            isy_T("     ")

// Fatal events
#define ISYNCSTR_FatSyncCfgAbort        isy_T("   -  ")
#define ISYNCSTR_FatAuthenticateFailed  isy_T("  -  ")
#define ISYNCSTR_FatIncompVersion       isy_T("     ")
#define ISYNCSTR_FatInvalidSession      isy_T("   ")
#define ISYNCSTR_FatSyncGroup           isy_T("       ")
#define ISYNCSTR_FatRegisterDevice      isy_T("  ")
#define ISYNCSTR_FatServerForbidden     isy_T("   ")
#define ISYNCSTR_FatServerNotFound      isy_T("  ")
#define ISYNCSTR_FatServerNotAvail      isy_T("  ")
#define ISYNCSTR_FatServer              isy_T("   ")
#define ISYNCSTR_FatNetOpenConn         isy_T("  ")
#define ISYNCSTR_FatOpenNetLib          isy_T("     ")
#define ISYNCSTR_FatNetConnect          isy_T("  ")
#define ISYNCSTR_FatNetSend             isy_T("  ")
#define ISYNCSTR_FatNetReceive          isy_T("  ")
#define ISYNCSTR_FatNetTimeout          isy_T("     ")
#define ISYNCSTR_FatResolveHost         isy_T("     ")
#define ISYNCSTR_FatNetUnknown          isy_T("   ")
#define ISYNCSTR_FatServerBusy          isy_T(" ")
#define ISYNCSTR_FatProtocolNotSupported isy_T("   ")
#define ISYNCSTR_FatCreateImage         isy_T("       ")

// Retry events
#define ISYNCSTR_TryNetConnect          isy_T("  .  ?")
#define ISYNCSTR_TryNetSend             isy_T("  .  ?")
#define ISYNCSTR_TryNetReceive          isy_T("  .  ?")
#define ISYNCSTR_TryNetTimeout          isy_T("   .  ?")
#define ISYNCSTR_TryServerBusy          isy_T(" .  ?")

// Query events
#define ISYNCSTR_QueCancel              isy_T("  ?")
#define ISYNCSTR_QueLogin				isy_T(" ... ")
#define ISYNCSTR_QueCancelUponError     isy_T(" . ?")
#define ISYNCSTR_QueSubsTarget          isy_T("     ... ")

/************************************************************************
 * GUI resource strings
 ************************************************************************
 */

#define ISYNCSTR_DateTime               isy_T("m/d/y h:t:s")	
#define ISYNCSTR_ChangeTarget           isy_T("      . ?")
#define ISYNCSTR_ResetConfig            isy_T("  ''     ,     . ? ")

#define ISYNCSTR_Succeeded              isy_T(" ")
#define ISYNCSTR_Failed                 isy_T(" ")
#define ISYNCSTR_Cancelled              isy_T("")
#define ISYNCSTR_Ready                  isy_T("")

#define ISYNCSTR_Subscription           isy_T(" ")
#define ISYNCSTR_SubsSet                isy_T("  ")
#define ISYNCSTR_Synchronize            isy_T("")
#define ISYNCSTR_Synch                  isy_T("")
#define ISYNCSTR_TryConnect             isy_T("  ...")

#define ISYNCSTR_Retry                  isy_T(" ")
#define ISYNCSTR_StartupError           isy_T("   .    .  :")

#define ISYNCSTR_MSG_CONFLICT           isy_T(":")
#define ISYNCSTR_MSG_OP_DELETE          isy_T(": ")
#define ISYNCSTR_MSG_OP_INSERT          isy_T(": ")
#define ISYNCSTR_MSG_OP_UPDATE          isy_T(": ")
#define ISYNCSTR_MSG_OP_INVALID         isy_T(":  ")
#define ISYNCSTR_MSG_DATA               isy_T(":")
#define ISYNCSTR_MSG_NULL               isy_T(" [ NULL ] ")

#define ISYNCSTR_Enabled                isy_T("")
#define ISYNCSTR_Disabled               isy_T("")

#define ISYNCSTR_Default                isy_T(" ")
#define ISYNCSTR_Detailed               isy_T("")

#define ISYNCSTR_TIMEOUTMinimum         isy_T("()")
#define ISYNCSTR_TIMEOUTNever           isy_T("( )")
#define ISYNCSTR_TIMEOUT1min            isy_T("1 ")
#define ISYNCSTR_TIMEOUT2min            isy_T("2 ")
#define ISYNCSTR_TIMEOUT3min            isy_T("3 ")
#define ISYNCSTR_TIMEOUT4min            isy_T("4 ")
#define ISYNCSTR_TIMEOUT5min            isy_T("5 ")
#define ISYNCSTR_TIMEOUT6min            isy_T("6 ")
#define ISYNCSTR_TIMEOUT7min            isy_T("7 ")
#define ISYNCSTR_TIMEOUT8min            isy_T("8 ")
#define ISYNCSTR_TIMEOUT9min            isy_T("9 ")
#define ISYNCSTR_TIMEOUT10min           isy_T("10 ")
#define ISYNCSTR_TIMEOUT15min           isy_T("15 ")
#define ISYNCSTR_TIMEOUT20min           isy_T("20 ")
#define ISYNCSTR_TIMEOUT25min           isy_T("25 ")
#define ISYNCSTR_TIMEOUT30min           isy_T("30 ")
#define ISYNCSTR_TIMEOUT40min           isy_T("40 ")
#define ISYNCSTR_TIMEOUT50min           isy_T("50 ")
#define ISYNCSTR_TIMEOUT60min           isy_T("60 ")

#define ISYNCSTR_4KMODEM                isy_T("4 K ")
#define ISYNCSTR_9KGSM                  isy_T("9 K GSM")
#define ISYNCSTR_19KMODEM               isy_T("19 K ")
#define ISYNCSTR_56KMODEM               isy_T("56 K ")
#define ISYNCSTR_64KGPRS                isy_T("64 K GPRS")

#define ISYNCSTR_About                  isy_T(" DB2 Sync")
#define ISYNCSTR_SubsSet_Abv            isy_T(" ")
#define ISYNCSTR_SubsSets_Abv           isy_T(" ")
#define ISYNCSTR_Settings               isy_T("")
#define ISYNCSTR_SubsSet_Settings       isy_T("  ")
#define ISYNCSTR_Server                 isy_T("")
#define ISYNCSTR_Enable                 isy_T("")
#define ISYNCSTR_Disable                isy_T("")
#define ISYNCSTR_Details                isy_T(" ")
#define ISYNCSTR_Purge                  isy_T(" ")
#define ISYNCSTR_Status                 isy_T("")
#define ISYNCSTR_Reset                  isy_T("")
#define ISYNCSTR_Client_Settings        isy_T(" ")
#define ISYNCSTR_Client                 isy_T("")
#define ISYNCSTR_Trace                  isy_T(" ")
#define ISYNCSTR_TargetDir              isy_T(" :")
#define ISYNCSTR_DB2e_Authen            isy_T(" DB2e")
#define ISYNCSTR_Target                 isy_T("")
#define ISYNCSTR_DB2e_User              isy_T(" DB2e")
#define ISYNCSTR_DB2e_Password          isy_T(" DB2e ")
#define ISYNCSTR_Network_Settings       isy_T(" ")
#define ISYNCSTR_Network                isy_T("")
#define ISYNCSTR_Timeout                isy_T("  ")
#define ISYNCSTR_Network_Speed          isy_T(" ")
#define ISYNCSTR_Proxy                  isy_T("  Proxy")
#define ISYNCSTR_Host                   isy_T("")
#define ISYNCSTR_Port                   isy_T("")
#define ISYNCSTR_Save_Password          isy_T(" ")
#define ISYNCSTR_Server_Settings        isy_T(" ")
#define ISYNCSTR_URL                    isy_T("URL")
#define ISYNCSTR_User                   isy_T("")
#define ISYNCSTR_Password               isy_T("")
#define ISYNCSTR_Synchronization        isy_T("")
#define ISYNCSTR_Log                    isy_T("")
#define ISYNCSTR_File                   isy_T("")
#define ISYNCSTR_Help                   isy_T("")
#define ISYNCSTR_Exit                   isy_T("")
#define ISYNCSTR_OK                     isy_T("")
#define ISYNCSTR_Cancel                 isy_T("")
#define ISYNCSTR_Change                 isy_T("")
#define ISYNCSTR_Message                isy_T("")
#define ISYNCSTR_Action                 isy_T(" ")
#define ISYNCSTR_No                     isy_T("")
#define ISYNCSTR_Yes                    isy_T("")
#define ISYNCSTR_Continue               isy_T("")
#define ISYNCSTR_NotSet                 isy_T("/  ")
#define ISYNCSTR_Device                 isy_T("")
#define ISYNCSTR_Unknown                isy_T(" ")
#define ISYNCSTR_DB2Sync                isy_T("DB2 Sync")
#define ISYNCSTR_Slot                   isy_T("  :")
#define ISYNCSTR_Save                   isy_T("")
#define ISYNCSTR_Enter                  isy_T("Enter")
#define ISYNCSTR_Assigned               isy_T("")
#define ISYNCSTR_NotAssigned            isy_T(" ")
#define ISYNCSTR_Options                isy_T("")
