/************************************************************************
 *
 * Licensed Materials - Property of IBM
 * Program Name: IBM DB2Everyplace Sync Client GUI
 * (c ) Copyright IBM Corp. 1999-2003. All Rights Reserved.
 *
 * US Government Users Restricted Rights 
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. Licensed Materials - Property of IBM
 *
 * IBM grants you ("Licensee") a non-exclusive, royalty free, license to
 * use Sample Code.  This software is provided as-is and without any
 * warranties, whether EXPRESS OR  IMPLIED, INCLUDING ANY IMPLIED
 * WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR 
 * NON-INFRINGEMENT. IBM AND ITS LICENSORS SHALL NOT BE LIABLE FOR ANY 
 * DAMAGES SUFFERED BY LICENSEE THAT RESULT FROM YOUR USE OF THE SOFTWARE.
 * IN NO EVENT WILL IBM OR ITS LICENSORS BE LIABLE FOR ANY LOST REVENUE,
 * PROFIT OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, 
 * INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE 
 * THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE 
 * SOFTWARE, EVEN IF IBM HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH 
 * DAMAGES.
 *
 ************************************************************************
 */
/************************************************************************
 *
 * File Name:  messages.h
 * Description: Error messages (Italian)
 *
 ************************************************************************
 */

// Information events
#define ISYNCSTR_InfGeneral             isy_T("Informazioni generali")
#define ISYNCSTR_InfSyncStarted         isy_T("Sincronizzazione avviata")
#define ISYNCSTR_InfPrepMsg             isy_T("Preparazione del messaggio in corso...")
#define ISYNCSTR_InfSendMsg             isy_T("Invio del messaggio in corso...")
#define ISYNCSTR_InfWaitMsg             isy_T("In attesa della risposta del server...")
#define ISYNCSTR_InfApplyMsg            isy_T("Applicazione del messaggio server in corso...")
#define ISYNCSTR_InfCancelingSync       isy_T("Annullamento sincronizzazione ...")
#define ISYNCSTR_InfSubsSetStarted      isy_T("Gruppo di richieste avviato")
#define ISYNCSTR_InfSyncingSubs         isy_T("Sincronizzazione richieste...")
#define ISYNCSTR_InfSubsSetFailed       isy_T("Gruppo di richieste non riuscito")
#define ISYNCSTR_InfSubsSetCanceled     isy_T("Gruppo di richieste annullato")
#define ISYNCSTR_InfSubsSetSucceeded    isy_T("Gruppo di richieste riuscito")
#define ISYNCSTR_InfSyncSucceeded       isy_T("Sincronizzazione riuscita")
#define ISYNCSTR_InfSyncFailed          isy_T("Sincronizzazione non riuscita")
#define ISYNCSTR_InfSyncCanceled        isy_T("Sincronizzazione annullata")
#define ISYNCSTR_InfSyncProg            isy_T("Sincronizzazione in corso")
#define ISYNCSTR_InfNoNewChange         isy_T("Nessuna modifica dopo l'ultima sincronizzazione")
#define ISYNCSTR_InfLoginFailed         isy_T("Collegamento non riuscito")

// Conflict events
#define ISYNCSTR_CftReject              isy_T("Record in conflitto: ")

// Error events
#define ISYNCSTR_ErrOpenAdapter         isy_T("Impossibile aprire l'adattatore:")
#define ISYNCSTR_ErrLoadAdapter         isy_T("Impossibile caricare l'adattatore:")
#define ISYNCSTR_ErrCloseAdapter        isy_T("Impossibile chiudere l'adattatore:")
#define ISYNCSTR_ErrAuthenticateKey     isy_T("Formato messaggio client non riconoscibile")
#define ISYNCSTR_ErrClientCryptoFailed  isy_T("Crittografia/decrittazione client non riuscita")
#define ISYNCSTR_ErrEncryptNotAvail     isy_T("Crittografia non disponibile")
#define ISYNCSTR_ErrEncryptLibOpen      isy_T("Impossibile aprire la libreria di crittografia")
#define ISYNCSTR_ErrSubsNotFound        isy_T("Richiesta non trovata")
#define ISYNCSTR_ErrSubsNotAvail        isy_T("Richiesta bloccata dal server")
#define ISYNCSTR_ErrSubsDefAltered      isy_T("Definizione richiesta modificata")

#define ISYNCSTR_ErrCloseNetLib         isy_T("Impossibile chiudere la libreria di rete")
#define ISYNCSTR_ErrOutOfMemory         isy_T("Memoria insufficiente")

#define ISYNCSTR_ErrAllocResource       isy_T("Impossibile allocare le risorse dell'adattatore")
#define ISYNCSTR_ErrConnectData         isy_T("Impossibile stabilire una connessione ai dati di destinazione")
#define ISYNCSTR_ErrConnectFile         isy_T("Impossibile creare il file o il percorso")
#define ISYNCSTR_ErrDisconnectData      isy_T("Impossibile chiudere la connessione dai dati di destinazione")
#define ISYNCSTR_ErrNoData              isy_T("Nessuna tabella nella richiesta")
#define ISYNCSTR_ErrSyncDisabled        isy_T("Il server ha rilevato una richiesta non abilitata per la sincronizzazione")
#define ISYNCSTR_ErrServerException     isy_T("Il server ha rilevato eccezioni")
#define ISYNCSTR_ErrMessageFormat       isy_T("Formato del messaggio non previsto")
#define ISYNCSTR_ErrNotFound            isy_T("Tabella di destinazione richiesta non trovata")
#define ISYNCSTR_ErrEndOfData           isy_T("Fine dei dati non prevista")
#define ISYNCSTR_ErrDataTooLong         isy_T("Dati troppo lunghi per il campo corrispondente")
#define ISYNCSTR_ErrReadOnly            isy_T("Tentativo di caricare modifiche a dati di sola lettura")
#define ISYNCSTR_ErrOperation           isy_T("Tentativo di caricare operazioni non consentite")
#define ISYNCSTR_ErrUnauthorized        isy_T("Mancanza di autorizzazione ad accedere a dati di destinazione crittografati")
#define ISYNCSTR_ErrNotAvailable        isy_T("Dati richiesti non disponibili")
#define ISYNCSTR_ErrNotSupported        isy_T("Tipo dati richiesto non supportato")

#define ISYNCSTR_ErrInternal            isy_T("Errore interno o stato inconsistente")

// Fatal events
#define ISYNCSTR_FatSyncCfgAbort        isy_T("Sincronizzazione configurazione non riuscita - interrotta")
#define ISYNCSTR_FatAuthenticateFailed  isy_T("Autenticazione non riuscita - sincronizzazione interrotta")
#define ISYNCSTR_FatIncompVersion       isy_T("Versione Sync Client incompatibile")
#define ISYNCSTR_FatInvalidSession      isy_T("Tentativo di sincronizzazione da un client di backup")
#define ISYNCSTR_FatSyncGroup           isy_T("Utente non assegnato ad alcun gruppo con privilegi di sincronizzazione")
#define ISYNCSTR_FatRegisterDevice      isy_T("Impossibile registrare il dispositivo")
#define ISYNCSTR_FatServerForbidden     isy_T("Sincronizzazione al server vietata")
#define ISYNCSTR_FatServerNotFound      isy_T("Server non trovato")
#define ISYNCSTR_FatServerNotAvail      isy_T("Il server non risponde")
#define ISYNCSTR_FatServer              isy_T("Errore interno Sync Server")
#define ISYNCSTR_FatNetOpenConn         isy_T("Impossibile aprire la connessione")
#define ISYNCSTR_FatOpenNetLib          isy_T("Impossibile aprire la libreria di rete")
#define ISYNCSTR_FatNetConnect          isy_T("Impossibile stabilire la connessione")
#define ISYNCSTR_FatNetSend             isy_T("Impossibile inviare la richiesta")
#define ISYNCSTR_FatNetReceive          isy_T("Impossibile ricevere la risposta")
#define ISYNCSTR_FatNetTimeout          isy_T("Timeout durante la ricezione della risposta")
#define ISYNCSTR_FatResolveHost         isy_T("Impossibile risolvere il nome host")
#define ISYNCSTR_FatNetUnknown          isy_T("Errore di rete sconosciuto")
#define ISYNCSTR_FatServerBusy          isy_T("Server impegnato")
#define ISYNCSTR_FatProtocolNotSupported isy_T("Protocollo di trasporto non supportato")
#define ISYNCSTR_FatCreateImage         isy_T("Tentativo di creare un'immagine client senza un ID dispositivo valido")

// Retry events
#define ISYNCSTR_TryNetConnect          isy_T("Connessione di rete non riuscita. Riprovare?")
#define ISYNCSTR_TryNetSend             isy_T("Invio richiesta non riuscito. Riprovare?")
#define ISYNCSTR_TryNetReceive          isy_T("Ricezione risposta non riuscita. Riprovare?")
#define ISYNCSTR_TryNetTimeout          isy_T("Timeout di ricezione. Attendere?")
#define ISYNCSTR_TryServerBusy          isy_T("Server impegnato. Riprovare?")

// Query events
#define ISYNCSTR_QueCancel              isy_T("Si desidera annullare l'operazione?")
#define ISYNCSTR_QueLogin               isy_T("Interrogazione collegamento... ")
#define ISYNCSTR_QueCancelUponError     isy_T("Si  verificato un errore. Continuare?")
#define ISYNCSTR_QueSubsTarget          isy_T("Interrogazione del database delle richieste in corso...")

/************************************************************************
 * GUI resource strings
 ************************************************************************
 */

#define ISYNCSTR_DateTime               isy_T("d/m/y h.t.s")
#define ISYNCSTR_ChangeTarget           isy_T("Per modificare la directory di destinazione  necessario reimpostare la configurazione. Continuare?")
#define ISYNCSTR_ResetConfig            isy_T("Scegliendo 'OK' tutti i dati di configurazione verranno eliminati e la sincronizzazione successiva verr aggiornata. Continuare?")

#define ISYNCSTR_Succeeded              isy_T("Riuscito")
#define ISYNCSTR_Failed                 isy_T("Non riuscito")
#define ISYNCSTR_Cancelled              isy_T("Annullato")
#define ISYNCSTR_Ready                  isy_T("Pronto")

#define ISYNCSTR_Subscription           isy_T("Richiesta ")
#define ISYNCSTR_SubsSet                isy_T("Gruppo di richieste ")
#define ISYNCSTR_Synchronize            isy_T("Sincronizzazione")
#define ISYNCSTR_Synch                  isy_T("Sincronizzazione")
#define ISYNCSTR_TryConnect             isy_T("Tentativo di connessione in corso...")

#define ISYNCSTR_Retry                  isy_T("Riprova")
#define ISYNCSTR_StartupError           isy_T("Errore di avvio di Sync Engine. Assicurarsi che il percorso sia valido. Codice di errore: ")

#define ISYNCSTR_MSG_CONFLICT           isy_T("Tabella:")
#define ISYNCSTR_MSG_OP_DELETE          isy_T("Operazione: elimina")
#define ISYNCSTR_MSG_OP_INSERT          isy_T("Operazione: inserisci")
#define ISYNCSTR_MSG_OP_UPDATE          isy_T("Operazione: aggiorna")
#define ISYNCSTR_MSG_OP_INVALID         isy_T("Operazione: invalida")
#define ISYNCSTR_MSG_DATA               isy_T("Dati:")
#define ISYNCSTR_MSG_NULL               isy_T(" [ NULL ] ")

#define ISYNCSTR_Enabled                isy_T("Attivato")
#define ISYNCSTR_Disabled               isy_T("Disattivato")

#define ISYNCSTR_Default                isy_T("Predefinita")
#define ISYNCSTR_Detailed               isy_T("Dettagliata")

#define ISYNCSTR_TIMEOUTMinimum         isy_T("(minimo)")
#define ISYNCSTR_TIMEOUTNever           isy_T("(mai)")
#define ISYNCSTR_TIMEOUT1min            isy_T("1 min")
#define ISYNCSTR_TIMEOUT2min            isy_T("2 min")
#define ISYNCSTR_TIMEOUT3min            isy_T("3 min")
#define ISYNCSTR_TIMEOUT4min            isy_T("4 min")
#define ISYNCSTR_TIMEOUT5min            isy_T("5 min")
#define ISYNCSTR_TIMEOUT6min            isy_T("6 min")
#define ISYNCSTR_TIMEOUT7min            isy_T("7 min")
#define ISYNCSTR_TIMEOUT8min            isy_T("8 min")
#define ISYNCSTR_TIMEOUT9min            isy_T("9 min")
#define ISYNCSTR_TIMEOUT10min           isy_T("10 min")
#define ISYNCSTR_TIMEOUT15min           isy_T("15 min")
#define ISYNCSTR_TIMEOUT20min           isy_T("20 min")
#define ISYNCSTR_TIMEOUT25min           isy_T("25 min")
#define ISYNCSTR_TIMEOUT30min           isy_T("30 min")
#define ISYNCSTR_TIMEOUT40min           isy_T("40 min")
#define ISYNCSTR_TIMEOUT50min           isy_T("50 min")
#define ISYNCSTR_TIMEOUT60min           isy_T("60 min")

#define ISYNCSTR_4KMODEM                isy_T("4 K Modem")
#define ISYNCSTR_9KGSM                  isy_T("9 K GSM")
#define ISYNCSTR_19KMODEM               isy_T("19 K Modem")
#define ISYNCSTR_56KMODEM               isy_T("56 K Modem")
#define ISYNCSTR_64KGPRS                isy_T("64 K GPRS")

#define ISYNCSTR_About                  isy_T("Informazioni su DB2 Sync")
#define ISYNCSTR_SubsSet_Abv            isy_T("Gruppo richieste")
#define ISYNCSTR_SubsSets_Abv           isy_T("Gruppi richieste")
#define ISYNCSTR_Settings               isy_T("Impostazioni")
#define ISYNCSTR_SubsSet_Settings       isy_T("Impostazioni gruppi di richieste")
#define ISYNCSTR_Server                 isy_T("Server")
#define ISYNCSTR_Enable                 isy_T("Attiva")
#define ISYNCSTR_Disable                isy_T("Disattiva")
#define ISYNCSTR_Details                isy_T("Dettagli")
#define ISYNCSTR_Purge                  isy_T("Elimina")
#define ISYNCSTR_Status                 isy_T("Stato")
#define ISYNCSTR_Reset                  isy_T("Reimposta")
#define ISYNCSTR_Client_Settings        isy_T("Impostazioni client")
#define ISYNCSTR_Client                 isy_T("Client")
#define ISYNCSTR_Trace                  isy_T("Traccia")
#define ISYNCSTR_TargetDir              isy_T("Percorso di destinazione:")
#define ISYNCSTR_DB2e_Authen            isy_T("Autenticazione DB2e")
#define ISYNCSTR_Target                 isy_T("Destinazione")
#define ISYNCSTR_DB2e_User              isy_T("Utente DB2e")
#define ISYNCSTR_DB2e_Password          isy_T("Password DB2e")
#define ISYNCSTR_Network_Settings       isy_T("Impostazioni di rete")
#define ISYNCSTR_Network                isy_T("Rete")
#define ISYNCSTR_Timeout                isy_T("Timeout")
#define ISYNCSTR_Network_Speed          isy_T("Velocit di rete")
#define ISYNCSTR_Proxy                  isy_T("Utilizza proxy")
#define ISYNCSTR_Host                   isy_T("Host")
#define ISYNCSTR_Port                   isy_T("Porta")
#define ISYNCSTR_Save_Password          isy_T("Salva password")
#define ISYNCSTR_Server_Settings        isy_T("Impostazioni server")
#define ISYNCSTR_URL                    isy_T("URL")
#define ISYNCSTR_User                   isy_T("Utente")
#define ISYNCSTR_Password               isy_T("Password")
#define ISYNCSTR_Synchronization        isy_T("Sincronizzazione")
#define ISYNCSTR_Log                    isy_T("Registrazione")
#define ISYNCSTR_File                   isy_T("File")
#define ISYNCSTR_Help                   isy_T("?")
#define ISYNCSTR_Exit                   isy_T("Esci")
#define ISYNCSTR_OK                     isy_T("OK")
#define ISYNCSTR_Cancel                 isy_T("Annulla")
#define ISYNCSTR_Change                 isy_T("Modifica")
#define ISYNCSTR_Message                isy_T("Messaggio")
#define ISYNCSTR_Action                 isy_T("Azione")
#define ISYNCSTR_No                     isy_T("No")
#define ISYNCSTR_Yes                    isy_T("S")
#define ISYNCSTR_Continue               isy_T("Continua")
#define ISYNCSTR_NotSet                 isy_T("Utente/password non impostata")
#define ISYNCSTR_Device                 isy_T("Dispositivo")
#define ISYNCSTR_Unknown                isy_T("Sconosciuto ")
#define ISYNCSTR_DB2Sync                isy_T("DB2 Sync")
#define ISYNCSTR_Slot                   isy_T("Slot di memoria:")
#define ISYNCSTR_Save                   isy_T("Salva")
#define ISYNCSTR_Enter                  isy_T("Immetti")
#define ISYNCSTR_Assigned               isy_T("Assegnato")
#define ISYNCSTR_NotAssigned            isy_T("Non assegnato")
#define ISYNCSTR_Options                isy_T("Opzioni")
