/************************************************************************
 *
 * Licensed Materials - Property of IBM
 * Program Name: IBM DB2Everyplace Sync Client GUI
 * (c ) Copyright IBM Corp. 1999-2003. All Rights Reserved.
 *
 * US Government Users Restricted Rights 
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. Licensed Materials - Property of IBM
 *
 * IBM grants you ("Licensee") a non-exclusive, royalty free, license to
 * use Sample Code.  This software is provided as-is and without any
 * warranties, whether EXPRESS OR  IMPLIED, INCLUDING ANY IMPLIED
 * WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR 
 * NON-INFRINGEMENT. IBM AND ITS LICENSORS SHALL NOT BE LIABLE FOR ANY 
 * DAMAGES SUFFERED BY LICENSEE THAT RESULT FROM YOUR USE OF THE SOFTWARE.
 * IN NO EVENT WILL IBM OR ITS LICENSORS BE LIABLE FOR ANY LOST REVENUE,
 * PROFIT OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, 
 * INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE 
 * THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE 
 * SOFTWARE, EVEN IF IBM HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH 
 * DAMAGES.
 *
 ************************************************************************
 */
/************************************************************************
 *
 * File Name:  messages.h
 * Description: Error messages (Brazilian Portuguese)
 *
 ************************************************************************
 */

// Information events
#define ISYNCSTR_InfGeneral             isy_T("Informaes Gerais")
#define ISYNCSTR_InfSyncStarted         isy_T("Sincronizao iniciada")
#define ISYNCSTR_InfPrepMsg             isy_T("Preparando a mensagem...")
#define ISYNCSTR_InfSendMsg             isy_T("Enviando a mensagem...")
#define ISYNCSTR_InfWaitMsg             isy_T("Aguardando a resposta do servidor...")
#define ISYNCSTR_InfApplyMsg            isy_T("Aplicando a mensagem do servidor...")
#define ISYNCSTR_InfCancelingSync       isy_T("Cancelando a sincronizao...")
#define ISYNCSTR_InfSubsSetStarted      isy_T(" iniciado")
#define ISYNCSTR_InfSyncingSubs         isy_T("Sincronizando a assinatura...")
#define ISYNCSTR_InfSubsSetFailed       isy_T("Falha do conjunto de assinaturas")
#define ISYNCSTR_InfSubsSetCanceled     isy_T("Conjunto de assinaturas cancelado")
#define ISYNCSTR_InfSubsSetSucceeded    isy_T("Conjunto de assinaturas com xito")
#define ISYNCSTR_InfSyncSucceeded       isy_T("Sincronizao com xito")
#define ISYNCSTR_InfSyncFailed          isy_T("Falha na sincronizao")
#define ISYNCSTR_InfSyncCanceled        isy_T("Sincronizao cancelada")
#define ISYNCSTR_InfSyncProg            isy_T("Sincronizao em andamento")
#define ISYNCSTR_InfNoNewChange         isy_T("Nenhuma nova alterao desde a ltima sincronizao")
#define ISYNCSTR_InfLoginFailed         isy_T("Falha ao efetuar login")

// Conflict events
#define ISYNCSTR_CftReject              isy_T("Registros em Conflito: ")

// Error events
#define ISYNCSTR_ErrOpenAdapter         isy_T("Falha ao abrir o adaptador:")
#define ISYNCSTR_ErrLoadAdapter         isy_T("Falha ao carregar o adaptador:")
#define ISYNCSTR_ErrCloseAdapter        isy_T("Falha ao fechar o adaptador:")
#define ISYNCSTR_ErrAuthenticateKey     isy_T("Formato da mensagem do cliente no reconhecvel")
#define ISYNCSTR_ErrClientCryptoFailed  isy_T("Falha na criptografia/decriptografia do cliente")
#define ISYNCSTR_ErrEncryptNotAvail     isy_T("Criptografia no disponvel")
#define ISYNCSTR_ErrEncryptLibOpen      isy_T("Falha ao abrir a biblioteca de criptografia")
#define ISYNCSTR_ErrSubsNotFound        isy_T("Assinatura no localizada")
#define ISYNCSTR_ErrSubsNotAvail        isy_T("Assinatura bloqueada pelo servidor")
#define ISYNCSTR_ErrSubsDefAltered      isy_T("Definio de assinatura alterada")

#define ISYNCSTR_ErrCloseNetLib         isy_T("Falha ao fechar a biblioteca de Rede")
#define ISYNCSTR_ErrOutOfMemory         isy_T("Sem memria")

#define ISYNCSTR_ErrAllocResource       isy_T("Falha ao alocar os recursos do adaptador")
#define ISYNCSTR_ErrConnectData         isy_T("Falha ao conectar-se aos dados de destino")
#define ISYNCSTR_ErrConnectFile         isy_T("Falha ao criar o arquivo ou caminho")
#define ISYNCSTR_ErrDisconnectData      isy_T("Falha ao desconectar-se dos dados de destino")
#define ISYNCSTR_ErrNoData              isy_T("Nenhuma tabela inscrita na assinatura")
#define ISYNCSTR_ErrSyncDisabled        isy_T("O servidor informou uma assinatura no ativada para sincronizao")
#define ISYNCSTR_ErrServerException     isy_T("O servidor comunicou excees")
#define ISYNCSTR_ErrMessageFormat       isy_T("Formato da mensagem inesperado")
#define ISYNCSTR_ErrNotFound            isy_T("A tabela de destino solicitada no foi localizada")
#define ISYNCSTR_ErrEndOfData           isy_T("Fim inesperado dos dados")
#define ISYNCSTR_ErrDataTooLong         isy_T("Dados muito longos para o campo correspondente")
#define ISYNCSTR_ErrReadOnly            isy_T("Tentativa de carregar alteraes para dados de leitura")
#define ISYNCSTR_ErrOperation           isy_T("Tentativa de carregar operaes no permitidas")
#define ISYNCSTR_ErrUnauthorized        isy_T("No autorizado para acessar os dados de destino criptografados")
#define ISYNCSTR_ErrNotAvailable        isy_T("Os dados solicitados no esto disponveis")
#define ISYNCSTR_ErrNotSupported        isy_T("O tipo de dado solicitado no  suportado")

#define ISYNCSTR_ErrInternal            isy_T("Erro interno ou estado incompatvel")

// Fatal events
#define ISYNCSTR_FatSyncCfgAbort        isy_T("Falha ao sincronizar a configurao - sincronizao interrompida")
#define ISYNCSTR_FatAuthenticateFailed  isy_T("Falha na autenticao - sincronizao interrompida")
#define ISYNCSTR_FatIncompVersion       isy_T("Verso incompatvel do Cliente de Sincronizao")
#define ISYNCSTR_FatInvalidSession      isy_T("Tentativa de sincronizar a partir de um cliente com backup")
#define ISYNCSTR_FatSyncGroup           isy_T("Usurio no designado a nenhum grupo com privilgio de sincronizao")
#define ISYNCSTR_FatRegisterDevice      isy_T("Falha ao registrar o dispositivo")
#define ISYNCSTR_FatServerForbidden     isy_T("Proibida a sincronizao com o servidor")
#define ISYNCSTR_FatServerNotFound      isy_T("O servidor no foi localizado")
#define ISYNCSTR_FatServerNotAvail      isy_T("O servidor no est respondendo")
#define ISYNCSTR_FatServer              isy_T("Erro interno do Servidor de Sincronizao")
#define ISYNCSTR_FatNetOpenConn         isy_T("Falha ao abrir a conexo")
#define ISYNCSTR_FatOpenNetLib          isy_T("Falha ao abrir a biblioteca de Rede")
#define ISYNCSTR_FatNetConnect          isy_T("Falha ao estabelecer a conexo")
#define ISYNCSTR_FatNetSend             isy_T("Falha ao enviar o pedido")
#define ISYNCSTR_FatNetReceive          isy_T("Falha ao receber a resposta")
#define ISYNCSTR_FatNetTimeout          isy_T("Tempo limite ao receber a resposta")
#define ISYNCSTR_FatResolveHost         isy_T("Falha ao resolver o nome do host")
#define ISYNCSTR_FatNetUnknown          isy_T("Erro de rede desconhecido")
#define ISYNCSTR_FatServerBusy          isy_T("Servidor ocupado")
#define ISYNCSTR_FatProtocolNotSupported isy_T("Protocolo de transporte no suportado")
#define ISYNCSTR_FatCreateImage         isy_T("Tentativa de criar uma imagem do cliente sem um ID do dispositivo vlido")

// Retry events
#define ISYNCSTR_TryNetConnect          isy_T("Falha na conexo de rede. Tentar novamente?")
#define ISYNCSTR_TryNetSend             isy_T("Falha ao enviar pedido. Tentar novamente?")
#define ISYNCSTR_TryNetReceive          isy_T("Falha ao receber a resposta. Tentar novamente?")
#define ISYNCSTR_TryNetTimeout          isy_T("Tempo limite da recepo. Aguardar mais?")
#define ISYNCSTR_TryServerBusy          isy_T("Servidor ocupado. Tentar novamente? ")

// Query events
#define ISYNCSTR_QueCancel              isy_T("Deseja cancelar?")
#define ISYNCSTR_QueLogin               isy_T("Consultando o login... ")
#define ISYNCSTR_QueCancelUponError     isy_T("Ocorreu erro. Continuar?")
#define ISYNCSTR_QueSubsTarget          isy_T("Consultando o banco de dados de assinaturas...")

/************************************************************************
 * GUI resource strings
 ************************************************************************
 */

#define ISYNCSTR_DateTime               isy_T("d/m/y h:t:s")	
#define ISYNCSTR_ChangeTarget           isy_T("A alterao do diretrio de destino requer a reconfigurao. Continuar?")
#define ISYNCSTR_ResetConfig            isy_T("Clicar em 'OK' apagar todos os dados de configurao e realizar uma atualizao total na sincronizao seguinte. Continuar?")

#define ISYNCSTR_Succeeded              isy_T("Bem-sucedido")
#define ISYNCSTR_Failed                 isy_T("Falha")
#define ISYNCSTR_Cancelled              isy_T("Cancelado")
#define ISYNCSTR_Ready                  isy_T("Pronto")

#define ISYNCSTR_Subscription           isy_T("Assinatura ")
#define ISYNCSTR_SubsSet                isy_T("Conjunto de Assinaturas ")
#define ISYNCSTR_Synchronize            isy_T("Sincronizar")
#define ISYNCSTR_Synch                  isy_T("Sincronizar")
#define ISYNCSTR_TryConnect             isy_T("Tentando estabelecer a conexo...")

#define ISYNCSTR_Retry                  isy_T("Tentar novamente")
#define ISYNCSTR_StartupError           isy_T("Erro na inicializao do Mecanismo de Sincronizao. Certifique-se de que o caminho seja vlido. Cdigo de erro: ")

#define ISYNCSTR_MSG_CONFLICT           isy_T("Tabela:")
#define ISYNCSTR_MSG_OP_DELETE          isy_T("Operao: excluir")
#define ISYNCSTR_MSG_OP_INSERT          isy_T("Operao: inserir")
#define ISYNCSTR_MSG_OP_UPDATE          isy_T("Operao: atualizar")
#define ISYNCSTR_MSG_OP_INVALID         isy_T("Operao: invlida")
#define ISYNCSTR_MSG_DATA               isy_T("Dados:")
#define ISYNCSTR_MSG_NULL               isy_T(" [ NULL ] ")

#define ISYNCSTR_Enabled                isy_T("Ativado")
#define ISYNCSTR_Disabled               isy_T("Desativada")

#define ISYNCSTR_Default                isy_T("Padro")
#define ISYNCSTR_Detailed               isy_T("Detalhado")

#define ISYNCSTR_TIMEOUTMinimum         isy_T("(mnimo)")
#define ISYNCSTR_TIMEOUTNever           isy_T("(nunca)")
#define ISYNCSTR_TIMEOUT1min            isy_T("1 min")
#define ISYNCSTR_TIMEOUT2min            isy_T("2 min")
#define ISYNCSTR_TIMEOUT3min            isy_T("3 min")
#define ISYNCSTR_TIMEOUT4min            isy_T("4 min")
#define ISYNCSTR_TIMEOUT5min            isy_T("5 min")
#define ISYNCSTR_TIMEOUT6min            isy_T("6 min")
#define ISYNCSTR_TIMEOUT7min            isy_T("7 min")
#define ISYNCSTR_TIMEOUT8min            isy_T("8 min")
#define ISYNCSTR_TIMEOUT9min            isy_T("9 min")
#define ISYNCSTR_TIMEOUT10min           isy_T("10 min")
#define ISYNCSTR_TIMEOUT15min           isy_T("15 min")
#define ISYNCSTR_TIMEOUT20min           isy_T("20 min")
#define ISYNCSTR_TIMEOUT25min           isy_T("25 min")
#define ISYNCSTR_TIMEOUT30min           isy_T("30 min")
#define ISYNCSTR_TIMEOUT40min           isy_T("40 min")
#define ISYNCSTR_TIMEOUT50min           isy_T("50 min")
#define ISYNCSTR_TIMEOUT60min           isy_T("60 min")

#define ISYNCSTR_4KMODEM                isy_T("4 K Modem")
#define ISYNCSTR_9KGSM                  isy_T("9 K GSM")
#define ISYNCSTR_19KMODEM               isy_T("19 K Modem")
#define ISYNCSTR_56KMODEM               isy_T("56 K Modem")
#define ISYNCSTR_64KGPRS                isy_T("64 K GPRS")

#define ISYNCSTR_About                  isy_T("Sobre DB2 Sync")
#define ISYNCSTR_SubsSet_Abv            isy_T("Conj. de Assinaturas")
#define ISYNCSTR_SubsSets_Abv           isy_T("Conjs. de Assinaturas")
#define ISYNCSTR_Settings               isy_T("Definies")
#define ISYNCSTR_SubsSet_Settings       isy_T("Def. do Conjunto de Assinaturas")
#define ISYNCSTR_Server                 isy_T("Servidor")
#define ISYNCSTR_Enable                 isy_T("Ativar")
#define ISYNCSTR_Disable                isy_T("Desativar")
#define ISYNCSTR_Details                isy_T("Detalhes")
#define ISYNCSTR_Purge                  isy_T("Limpar")
#define ISYNCSTR_Status                 isy_T("Status")
#define ISYNCSTR_Reset                  isy_T("Reconfigurar")
#define ISYNCSTR_Client_Settings        isy_T("Configuraes do Cliente")
#define ISYNCSTR_Client                 isy_T("Cliente")
#define ISYNCSTR_Trace                  isy_T("Rastreamento")
#define ISYNCSTR_TargetDir              isy_T("Caminho de Destino:")
#define ISYNCSTR_DB2e_Authen            isy_T("Autenticao do DB2e")
#define ISYNCSTR_Target                 isy_T("Destino")
#define ISYNCSTR_DB2e_User              isy_T("Usurio do DB2e")
#define ISYNCSTR_DB2e_Password          isy_T("Senha do DB2e")
#define ISYNCSTR_Network_Settings       isy_T("Configuraes da Rede")
#define ISYNCSTR_Network                isy_T("Rede")
#define ISYNCSTR_Timeout                isy_T("Tempo Limite")
#define ISYNCSTR_Network_Speed          isy_T("Velocidade da Rede")
#define ISYNCSTR_Proxy                  isy_T("Utilizar Proxy")
#define ISYNCSTR_Host                   isy_T("Host")
#define ISYNCSTR_Port                   isy_T("Porta")
#define ISYNCSTR_Save_Password          isy_T("Salvar Senha")
#define ISYNCSTR_Server_Settings        isy_T("Configuraes do Servidor")
#define ISYNCSTR_URL                    isy_T("URL")
#define ISYNCSTR_User                   isy_T("Usurio")
#define ISYNCSTR_Password               isy_T("Senha")
#define ISYNCSTR_Synchronization        isy_T("Sincronizao")
#define ISYNCSTR_Log                    isy_T("Log")
#define ISYNCSTR_File                   isy_T("Arquivo")
#define ISYNCSTR_Help                   isy_T("Ajuda")
#define ISYNCSTR_Exit                   isy_T("Sair")
#define ISYNCSTR_OK                     isy_T("OK")
#define ISYNCSTR_Cancel                 isy_T("Cancelar")
#define ISYNCSTR_Change                 isy_T("Alterar")
#define ISYNCSTR_Message                isy_T("Mensagem")
#define ISYNCSTR_Action                 isy_T("Ao")
#define ISYNCSTR_No                     isy_T("No")
#define ISYNCSTR_Yes                    isy_T("Sim")
#define ISYNCSTR_Continue               isy_T("Continuar")
#define ISYNCSTR_NotSet                 isy_T("Usurio/senha no definido")
#define ISYNCSTR_Device                 isy_T("Dispositivo")
#define ISYNCSTR_Unknown                isy_T("Desconhecido")
#define ISYNCSTR_DB2Sync                isy_T("DB2 Sync")
#define ISYNCSTR_Slot                   isy_T("Slot de Memria:")
#define ISYNCSTR_Save                   isy_T("Salvar")
#define ISYNCSTR_Enter                  isy_T("Digitar")
#define ISYNCSTR_Assigned               isy_T("Designado")
#define ISYNCSTR_NotAssigned            isy_T("No Designado")
#define ISYNCSTR_Options                isy_T("Opes")
