/************************************************************************
 *
 * Licensed Materials - Property of IBM
 * Program Name: IBM DB2Everyplace Sync Client GUI
 * (c ) Copyright IBM Corp. 1999-2003. All Rights Reserved.
 *
 * US Government Users Restricted Rights 
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. Licensed Materials - Property of IBM
 *
 * IBM grants you ("Licensee") a non-exclusive, royalty free, license to
 * use Sample Code.  This software is provided as-is and without any
 * warranties, whether EXPRESS OR  IMPLIED, INCLUDING ANY IMPLIED
 * WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR 
 * NON-INFRINGEMENT. IBM AND ITS LICENSORS SHALL NOT BE LIABLE FOR ANY 
 * DAMAGES SUFFERED BY LICENSEE THAT RESULT FROM YOUR USE OF THE SOFTWARE.
 * IN NO EVENT WILL IBM OR ITS LICENSORS BE LIABLE FOR ANY LOST REVENUE,
 * PROFIT OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, 
 * INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE 
 * THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE 
 * SOFTWARE, EVEN IF IBM HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH 
 * DAMAGES.
 *
 ************************************************************************
 */
/************************************************************************
 *
 * File Name:  logfile.h
 * Description: Header file to logfile.c
 *
 ************************************************************************
 */


// logfile.h
#ifndef __LOGFILE_H__
#define __LOGFILE_H__

#include "App.h"

#ifdef __cplusplus
extern "C" {
#endif

#define LOG_LINE_LEN 256

#ifndef _ISYNCBASE_H_
typedef isy_VOID*	HOBJECT;
#endif

#ifdef UNDER_PO
#	define HISYNCFILE  DmOpenRef
#else
#	define HISYNCFILE  FILE*
#endif

typedef struct 
{
	HOBJECT hThis;
	HISYNCFILE logFile;
	APPDATA* pApp;
} LOGDATA;

HISYNCLOG logOpen(APPDATA* pApp);
void logClose(HISYNCLOG hl);
void logPurge(HISYNCLOG hl);
void logWrite(HISYNCLOG hl, const isy_TCHAR* msg);
void logWriteN(HISYNCLOG hl, const isy_TCHAR* msg, long len);
void logWriteSystemStatus(HISYNCLOG hl, const isy_TCHAR* msg);
void logStatistics(HISYNCLOG hl, const isy_TCHAR* msg);
void logCodePage(HISYNCLOG hl);
HISYNCFILE logFileHandle(HISYNCLOG hl);

#ifdef __cplusplus
}
#endif

#endif
