/************************************************************************
 *
 * Licensed Materials - Property of IBM
 * Program Name: IBM DB2Everyplace Sync Client GUI
 * (c ) Copyright IBM Corp. 1999-2003. All Rights Reserved.
 *
 * US Government Users Restricted Rights 
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. Licensed Materials - Property of IBM
 *
 * IBM grants you ("Licensee") a non-exclusive, royalty free, license to
 * use Sample Code.  This software is provided as-is and without any
 * warranties, whether EXPRESS OR  IMPLIED, INCLUDING ANY IMPLIED
 * WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR 
 * NON-INFRINGEMENT. IBM AND ITS LICENSORS SHALL NOT BE LIABLE FOR ANY 
 * DAMAGES SUFFERED BY LICENSEE THAT RESULT FROM YOUR USE OF THE SOFTWARE.
 * IN NO EVENT WILL IBM OR ITS LICENSORS BE LIABLE FOR ANY LOST REVENUE,
 * PROFIT OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, 
 * INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE 
 * THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE 
 * SOFTWARE, EVEN IF IBM HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH 
 * DAMAGES.
 *
 ************************************************************************
 */
/************************************************************************
 *
 * File Name:  osdefs.h
 * Description: Wrapper for OS-specific Header files
 *
 ************************************************************************
 */

// SHARED

#ifndef _OSDEFS_H_
#define _OSDEFS_H_

#if defined(UNDER_PO)
	#include "osdefs_po.h"
#elif defined(UNDER_CE)
	#include "osdefs_ce.h"
#elif defined(UNDER_EP)
	#include "osdefs_ep.h"
#elif defined(UNDER_LN)
	#include "osdefs_ln.h"
#elif defined(UNDER_NTO)
	#include "osdefs_nto.h"
#elif defined(UNDER_NT)
	#include "osdefs_nt.h"
#else
	//#error "Unknown OS"
#endif

//COMMON
#define Err int

#if defined(UNDER_CE) || (defined(UNDER_NT) && defined(_UNICODE))
	//#define isy_T(str) TEXT(str)  //L##str
	#define isy_C(tchar_str,char_str) TcharToChar(tchar_str,char_str)
#else
	#if defined(UNDER_EP)&& defined(_UNICODE)
		//#define isy_T(str) ((const isy_TCHAR*) L##str)
		#define isy_C(tchar_str,char_str) TcharToChar(tchar_str, char_str)
	#endif
#endif

#if !defined(_UNICODE)
#define TSTR_LEN STR_LEN 
#define TSTR_CPY STR_CPY 
#define TSTR_CAT STR_CAT 
#define TSTR_N_CAT STR_N_CAT
#define TSTR_N_CPY STR_N_CPY
#define TSTR_NI_CMP STR_NI_CMP
#define TSTR_I_CMP STR_I_CMP
#define TSTR_CMP STR_CMP
#define TSTR_ITOA STR_ITOA
#define TSTR_ATOI STR_ATOI
#define TSTR_CHR STR_CHR
#define TSTR_STR STR_STR
#endif

#endif //_OSDEFS_H_
