/************************************************************************
 *
 * Licensed Materials - Property of IBM
 * Program Name: IBM DB2Everyplace Sync Client GUI
 * (c ) Copyright IBM Corp. 1999-2003. All Rights Reserved.
 *
 * US Government Users Restricted Rights 
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. Licensed Materials - Property of IBM
 *
 * IBM grants you ("Licensee") a non-exclusive, royalty free, license to
 * use Sample Code.  This software is provided as-is and without any
 * warranties, whether EXPRESS OR  IMPLIED, INCLUDING ANY IMPLIED
 * WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR 
 * NON-INFRINGEMENT. IBM AND ITS LICENSORS SHALL NOT BE LIABLE FOR ANY 
 * DAMAGES SUFFERED BY LICENSEE THAT RESULT FROM YOUR USE OF THE SOFTWARE.
 * IN NO EVENT WILL IBM OR ITS LICENSORS BE LIABLE FOR ANY LOST REVENUE,
 * PROFIT OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, 
 * INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE 
 * THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE 
 * SOFTWARE, EVEN IF IBM HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH 
 * DAMAGES.
 *
 ************************************************************************
 */
/************************************************************************
 *
 * File Name:  osdefs_po.h
 * Description: Header file for osdefs_po.c
 *
 ************************************************************************
 */

#ifndef _OSDEFS_PO_H_
#define _OSDEFS_PO_H_

#ifdef UNDER_PO_31
#	include <Pilot.h>
#else
#	include <PalmOS.h>
#	include <PalmCompatibility.h>
#endif
	
#include <FileStream.h>

void poGetCurrentDateTime(int* py, int* pm, int* pd, int* phr, int* pmi, int *pse);
#define OSGET_CURRENT_DATE_TIME(y, m, d, hr, mi, se) poGetCurrentDateTime(y, m, d, hr, mi, se)

//#include "isyncbase.h"

#define MEM_HANDLE_ALLOC(size) MemHandleNew((ULong) (size))
#define MEM_HANDLE_RESIZE(handle, size)	(!MemHandleResize((VoidHand)(handle), (ULong)(size)) ? (handle) : NULL)
#define MEM_HANDLE_FREE(handle) MemHandleFree((VoidHand) (handle))
#define MEM_HANDLE_LOCK(handle) (char*) MemHandleLock((VoidHand) (handle))
#define MEM_HANDLE_UNLOCK(handle) MemHandleUnlock((VoidHand) (handle))
#define MEM_SET(ptr, val, cb) MemSet((VoidPtr) (ptr), (ULong) (cb), (Byte) (val))
#define MEM_CPY(pTo, pFrom, cb) MemMove((VoidPtr) (pTo), (VoidPtr) (pFrom), (ULong) (cb))
#define MEM_PTR_ALLOC(size) MemPtrNew((ULong) (size))
#define MEM_PTR_FREE(ptr) MemPtrFree((VoidPtr) (ptr))
#define MEM_HEAP_FREE_BYTES(id, free, max) MemHeapFreeBytes(id, free, max);

#define HTONL(h) h	//NetHToNL(h)
#define NTOHL(n) n	//NetNToHL(n)
#define HTONS(h) h	//NetHToNS(h)
#define NTOHS(n) n	//NetNToHS(n)
#define STR_LEN(psz) StrLen((CharPtr) (psz))
#define STR_CPY(pDst, pSrc) StrCopy((CharPtr) (pDst), (CharPtr) (pSrc))
#define STR_CAT(pDst, pSrc) StrCat((CharPtr) (pDst), (CharPtr) (pSrc))
#define STR_N_CPY(pDst, pSrc, cb) StrNCopy((CharPtr) (pDst), (CharPtr) (pSrc), (Word) cb)
#define STR_N_CAT(pDst, pSrc, cb) StrNCat((char*) (pDst), (char*) (pSrc), (Word) cb)
#define STR_I_CMP(pDst, pSrc) StrCaselessCompare((CharPtr) (pDst), (CharPtr) (pSrc))
#define STR_NI_CMP(pDst, pSrc, cb) StrNCaselessCompare((CharPtr) (pDst), (CharPtr) (pSrc), (DWord) (cb))
#define STR_N_CMP(pDst, pSrc, cb) StrNCompare((CharPtr) (pDst), (CharPtr) (pSrc), (DWord) (cb))
#define STR_CMP(pDst, pSrc) StrCompare((CharPtr) (pDst), (CharPtr) (pSrc))
#define STR_CHR(pStr, chr) StrChr((CharPtr) (pStr), (Int) (chr))
#define STR_ITOA(buf, i) StrIToA(buf, i)
#define STR_ATOI(buf) StrAToI(buf)
#define STR_STR(pStr, pStr2) StrStr((char*) pStr, (char*) pStr2)
#define STR_ISDIGIT(c) (c >= 48 && c <= 57)
#define isupper(c) ((c) >= (isy_TCHAR) 'A' && (c) <= (isy_TCHAR) 'Z')
#define islower(c) ((c) >= (isy_TCHAR) 'a' && (c) <= (isy_TCHAR) 'z')
#define toupper(c) (islower(c) ? (c - (isy_TCHAR) 'a' + (isy_TCHAR) 'A') : c)
#define tolower(c) (isupper(c) ? (c - (isy_TCHAR) 'A' + (isy_TCHAR) 'a') : c)

// file manipulation macros
#define DECLARE_ERR_ Err err;
#define FSEEK_BEGINNING fileOriginBeginning
#define FSEEK_CURRENT fileOriginCurrent
#define FSEEK_END fileOriginEnd
#define FILE_NL isy_T("\n")
#define FPATH_SLASH '\0'
#define FPATH_SLASHSTR ""

#define FOPEN(cardNo, nameP, type, creator, openMode, errP) FileOpen(cardNo, nameP, type, creator, openMode, errP)
#define FCLOSE(file) FileClose(file)

// NOTE: for FREAD and FWRITE, err must be declared
#define FREAD(array, objSize, numObj, file) FileRead(file, array, objSize, numObj, &err)
#define FWRITE(array, objSize, numObj, file) FileWrite(file, array, objSize, numObj, &err)
#define FSEEK(file, offset, origin) FileSeek(file, offset, origin)
#define REWIND(file) FileRewind(file)
#define REMOVE(fileName) FileDelete(0, fileName)
#define FFLUSH(file) FileFlush(file)
#define FMKDIR(dir)

//Socket manipulation
#define S_AF_INET netSocketAddrINET
#define S_SETPORT(port) NetHToNS(STR_ATOI(port))
#define SETTYPESTREAM netSocketTypeStream
// change SETIP to S_SETIP
#define S_SETIP(AppNetRefnum, ip) NetLibAddrAToIN(AppNetRefnum, ip)

#define S_REF NetSocketRef
#define S_CON  //this is undefined for Palm
#define S_SOCKADDR NetSocketAddrINType

#define S_FAMILY family
#define S_PORT port
#define S_IP addr
#define S_AF_INET netSocketAddrINET
#define S_STREAMTYPE netSocketTypeStream
#define OPEN_SOCKET_FAILED  (-1)

#define SOPEN(AppNetRefnum, addr, typeStream, protocol, timeOut, err) NetLibSocketOpen(AppNetRefnum, addr, typeStream, protocol, timeOut, err)
#define SCONNECT(AppNetRefnum, s, remoteAddr, remoteAddrSize, timeOut, err) NetLibSocketConnect(AppNetRefnum, s, (NetSocketAddrType *) remoteAddr, remoteAddrSize, timeOut, err)
#define SSEND(AppNetRefnum, s, psz, totalLength, flags, toAddrP, toLen, timeOut, err) NetLibSend(AppNetRefnum, s, psz, totalLength, flags, toAddrP, toLen, timeOut, err)
#define SRECV(AppNetRefnum, s, psz, totalLength, flags, toAddrP, toLen, timeOut, err) NetLibReceive(AppNetRefnum, s, psz, totalLength, flags, toAddrP, toLen, timeOut, err)
#define SCLOSE(AppNetRefnum, s, direction, err) NetLibSocketClose(AppNetRefnum, s, direction, err)
#define SSELECT(AppNetRefnum, width, readFDs, writeFDs, exceptFDs, timeOut, err) NetLibSelect(AppNetRefnum, width, readFDs, writeFDs, exceptFDs, timeOut, err)
#define SFD_ZERO(pFDs)     netFDZero(pFDs)
#define SFD_CLR(s, pFDs)   netFDClr(s, pFDs) 
#define SFD_SET(s, pFDs)   netFDSet(s, pFDs) 
#define SFD_ISSET(s, pFDs) netFDIsSet(s, pFDs) 
#define SFD_TYPE           NetFDSetType
#define STIMEVAL           long

#define OSS_ASSERT(expr, msg)	ErrFatalDisplayIf(!(expr), msg)

int GET_CHAR_ENCODING();
int getDeviceID(isy_TCHAR *devID);
int hasHardwareDeviceID();

#define IS_LEAD_BYTE_SHIFTJIS(c)	(( c>=0x81 && c<=0x9F) || (c>=0xE0 && c<=0xFC))
#define IS_LEAD_BYTE_GB2312(c)	(c>=0x81 && c<=0xFE)
#define IS_LEAD_BYTE_BIG5(c)	(c>=0x81 && c<=0xFE)

#define ISYNCDIR isy_T("")	// Palm has no directory structure
#define CONFDIR ISYNCDIR
#define DATADIR ISYNCDIR


#define TICKS_PER_SECOND()      SysTicksPerSecond()
#define GET_TICKS()                     TimGetTicks()

int StrIsDigit(char c);

#endif
