/************************************************************************
 *
 * Licensed Materials - Property of IBM
 * Program Name: IBM DB2Everyplace Sync Client GUI
 * (c ) Copyright IBM Corp. 1999-2003. All Rights Reserved.
 *
 * US Government Users Restricted Rights 
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. Licensed Materials - Property of IBM
 *
 * IBM grants you ("Licensee") a non-exclusive, royalty free, license to
 * use Sample Code.  This software is provided as-is and without any
 * warranties, whether EXPRESS OR  IMPLIED, INCLUDING ANY IMPLIED
 * WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR 
 * NON-INFRINGEMENT. IBM AND ITS LICENSORS SHALL NOT BE LIABLE FOR ANY 
 * DAMAGES SUFFERED BY LICENSEE THAT RESULT FROM YOUR USE OF THE SOFTWARE.
 * IN NO EVENT WILL IBM OR ITS LICENSORS BE LIABLE FOR ANY LOST REVENUE,
 * PROFIT OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, 
 * INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE 
 * THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE 
 * SOFTWARE, EVEN IF IBM HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH 
 * DAMAGES.
 *
 ************************************************************************
 */

/**
 * File Name:  EpocOsDefs.h
 *
 * Description:
 *    Definitions for OS-specific C++ routines
 *
 **/

#ifndef __EPOCOSDEFS_H
#define __EPOCOSDEFS_H

#include "osdefs.h"

#define HAPP void*
#define HDATA void*

#define EPOCLIBRARY void*   // represents RLibrary object
#define HEPOCLIB void*		// represents handle to a particular lib
#define MAX_ADAPTER_LIBS 50

typedef struct
{
	int cancelPressed;
	int msgBoxButtonClicked;
	void* engine;
	void (*setStatus)(isy_TCHAR*, void*);
	int (*messageBox)(isy_TCHAR*, void*, int, void*);
} EPUIDATA;


extern EPUIDATA ui;

#define GET_UIDATA_	EPUIDATA* _ui = &ui;


#ifdef __cplusplus
extern "C" {
#endif

void* epocGetTls();
void epocSetTls(void* ptr);

#ifdef __cplusplus
}
#endif


typedef struct
{
	HAPP hApp;
	HDATA hData;
	EPOCLIBRARY adapterLibs[MAX_ADAPTER_LIBS];
	HEPOCLIB adapterLibObjs[MAX_ADAPTER_LIBS];
	char* adapterNames[MAX_ADAPTER_LIBS];  // for associating RLibrary's w/ DLLs
	int numLibs;
} EPOCGLOBALS;


#ifdef __cplusplus
extern "C" {
#endif

void epocCreateGlobals();
void epocDestroyGlobals();
EPOCGLOBALS* epocGetGlobals();
//auto switch off control
int epocDisableAutoSwitchOff();
void epocEnableAutoSwitchOff(int behavior);
void epocGetCurrentDateTime(int* py, int* pm, int* pd, int* phr, int* pmi, int* pse);

#ifdef __cplusplus
}
#endif

#endif
