/************************************************************************
 *
 * Licensed Materials - Property of IBM
 * Program Name: IBM DB2Everyplace Sync Client GUI
 * (c ) Copyright IBM Corp. 1999-2003. All Rights Reserved.
 *
 * US Government Users Restricted Rights 
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. Licensed Materials - Property of IBM
 *
 * IBM grants you ("Licensee") a non-exclusive, royalty free, license to
 * use Sample Code.  This software is provided as-is and without any
 * warranties, whether EXPRESS OR  IMPLIED, INCLUDING ANY IMPLIED
 * WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR 
 * NON-INFRINGEMENT. IBM AND ITS LICENSORS SHALL NOT BE LIABLE FOR ANY 
 * DAMAGES SUFFERED BY LICENSEE THAT RESULT FROM YOUR USE OF THE SOFTWARE.
 * IN NO EVENT WILL IBM OR ITS LICENSORS BE LIABLE FOR ANY LOST REVENUE,
 * PROFIT OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, 
 * INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE 
 * THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE 
 * SOFTWARE, EVEN IF IBM HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH 
 * DAMAGES.
 *
 ************************************************************************
 */
/************************************************************************
 *
 * File Name:  db2sync_console.h
 * Description: Header file for db2sync_console.h and
 *              Command prompt menus (Traditional Chinese)
 *
 ************************************************************************
 */

#define DB2SYNC_InvalidChoice	"是無效的選項"
#define DB2SYNC_MainMenu		"***************************** 主功能表 ******************************\n"
#define DB2SYNC_MainMenu1		"** (1) 執行同步化                                                  **\n"
#define DB2SYNC_MainMenu2		"** (2) 啟用、停用或重設定期抄寫集                                  **\n"
#define DB2SYNC_MainMenu3		"** (3) 變更伺服器設定                                              **\n"
#define DB2SYNC_MainMenu4		"** (4) 檢視日誌                                                    **\n"
#define DB2SYNC_MainMenu5		"** (5) 關於 Sync Client                                            **\n"
#define DB2SYNC_MainMenu6		"** (6) 結束                                                        **\n"
#define DB2SYNC_MakeChoice		"==> 進行選擇："

#define DB2SYNC_SyncApps		"************************ 同步處理定期抄寫集 *********************\n"
#define DB2SYNC_NoApps			"沒有定期抄寫集！\n"
#define DB2SYNC_AppMode			"定期抄寫集 '%s' 是 %s (%s)\n"
#define DB2SYNC_InvalidMode		"'%s' 的無效狀態模式\n"
#define DB2SYNC_Enabled			"已啟用"
#define DB2SYNC_Disabled		"已停用"
#define DB2SYNC_Reset    		"重設"
#define DB2SYNC_ModeSkip        "略過"
#define DB2SYNC_ModeSynchronize "同步處理"
#define DB2SYNC_ModeRefresh     "重新整理"
#define DB2SYNC_ModeResume      "恢復"

#define DB2SYNC_SetAppMode		"** 按 'Enter' 接受現行同步模式或選取新模式                         **\n"

#define DB2SYNC_SetAppModeA		"** (a) 啟用                                                        **\n"
#define DB2SYNC_SetAppModeB		"** (b) 停用                                                        **\n"
#define DB2SYNC_SetAppModeC		"** (c) 重設                                                        **\n"
#define DB2SYNC_SetAppModeD		"** (d) 完成變更                                                    **\n"

#define DB2SYNC_Settings		"*************************** 同步處理設定 ***************************\n"
#define DB2SYNC_SetSettings		"** 按 'Enter' 接受現行設定或輸入新設定                             **\n"
#define DB2SYNC_DeviceID		"裝置 ID"
#define DB2SYNC_URL                     "URL"
#define DB2SYNC_UseProxy		"使用 Proxy"
#define DB2SYNC_Proxy			"Proxy 伺服器"
#define DB2SYNC_ProxyFormat		"位址:埠"
#define DB2SYNC_User			"使用者名稱"
#define DB2SYNC_Password		"密碼"
#define DB2SYNC_Path			"路徑"
#define DB2SYNC_SavePassword		"儲存密碼"
#define DB2SYNC_Trace			"追蹤"
#define DB2SYNC_TraceDefault		"預設值"
#define DB2SYNC_TraceDetailed		"明細"
#define DB2SYNC_Yes			"是"
#define DB2SYNC_No			"否"
#define DB2SYNC_Timeout			"逾時"
#define DB2SYNC_InvalidTimeout		"無效的逾時"
#define DB2SYNC_MinimumTimeout		"最小值"
#define DB2SYNC_NeverTimeout		"從不"
#define DB2SYNC_SubsTarget		"定期抄寫目標"

#define DB2SYNC_NetworkType		"選擇網路類型"
#define DB2SYNC_InvalidNetworkType	"無效的網路類型"

#define DB2SYNC_DB2eAuth		"************************ DB2e 鑑別 ************************\n"
#define DB2SYNC_DB2eUser		"DB2e 使用者名稱"
#define DB2SYNC_DB2ePassword		"DB2e 密碼"
#define DB2SYNC_SyncPassword		"同步處理密碼"
#define DB2SYNC_DB2eSavePassword	"儲存 DB2e 密碼"

#define DB2SYNC_Alert			"警示"
#define DB2SYNC_Error			"錯誤"
#define DB2SYNC_Conclusion		"結論"
#define DB2SYNC_Status			"狀態"
#define DB2SYNC_Exitting		"正在結束"
#define DB2SYNC_About			"關於 Sync Client"
#define DB2SYNC_Resetting		"正在重設"

#define DB2SYNC_LogFile			"****************************** 日誌檔 *****************************\n"

#define DB2SYNC_SyncStatus		"***************************** 同步處理狀態 ***************************\n"
#define DB2SYNC_Line			"*********************************************************************\n"


#define DO_NOTHING          '\0'
#define DO_SYNC             '1'
#define DO_APPS             '2'
#define DO_PREFS            '3'
#define DO_LOG              '4'
#define DO_ABOUT            '5'
#define DO_EXIT             '6'

#define MODE_ENABLE         'a'
#define MODE_DISABLE	    'b'
#define MODE_RESET   	    'c'
#define MODE_DONE   	    'd'
#define MODE_NONE           '\0'

#define DEFAULT_DEST		"http://127.0.0.1:8080"
#define DEFAULT_PATH		""
#define DEFAULT_USER        ""
#define DEFAULT_PASSWORD    ""
#define DEFAULT_TRACE		DB2SYNC_TraceDetailed
#define DEFAULT_TIMEOUT		120
#define	DEFAULT_MSG_SIZE	0		// use old algorithm to calc msg sizes

#define PROPFILE			"isyncprefs"
#define PATHLEN				110
#define LOG_LINE_LEN		256

#define ISYNCOPTION_Trace				0x0002
#define ISYNCOPTION_SSL					0x0004
#define ISYNCOPTION_Proxy				0x0008
