/************************************************************************
 *
 * Licensed Materials - Property of IBM
 * Program Name: IBM DB2Everyplace Sync Client GUI
 * (c ) Copyright IBM Corp. 1999-2003. All Rights Reserved.
 *
 * US Government Users Restricted Rights 
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. Licensed Materials - Property of IBM
 *
 * IBM grants you ("Licensee") a non-exclusive, royalty free, license to
 * use Sample Code.  This software is provided as-is and without any
 * warranties, whether EXPRESS OR  IMPLIED, INCLUDING ANY IMPLIED
 * WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR 
 * NON-INFRINGEMENT. IBM AND ITS LICENSORS SHALL NOT BE LIABLE FOR ANY 
 * DAMAGES SUFFERED BY LICENSEE THAT RESULT FROM YOUR USE OF THE SOFTWARE.
 * IN NO EVENT WILL IBM OR ITS LICENSORS BE LIABLE FOR ANY LOST REVENUE,
 * PROFIT OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, 
 * INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE 
 * THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE 
 * SOFTWARE, EVEN IF IBM HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH 
 * DAMAGES.
 *
 ************************************************************************
 */
/************************************************************************
 *
 * File Name:  messages.h
 * Description: Error messages (Traditional Chinese)
 *
 ************************************************************************
 */

// Information events
#define ISYNCSTR_InfGeneral             isy_T("一般資訊")
#define ISYNCSTR_InfSyncStarted         isy_T("同步化已啟動")
#define ISYNCSTR_InfPrepMsg             isy_T("正在準備訊息...")
#define ISYNCSTR_InfSendMsg             isy_T("正在傳送訊息...")
#define ISYNCSTR_InfWaitMsg             isy_T("正在等候伺服器回覆...")
#define ISYNCSTR_InfApplyMsg            isy_T("正在套用伺服器訊息...")
#define ISYNCSTR_InfCancelingSync       isy_T("正在取消同步化...")
#define ISYNCSTR_InfSubsSetStarted      isy_T("定期抄寫集已啟動")
#define ISYNCSTR_InfSyncingSubs         isy_T("正在同步化定期抄寫...")
#define ISYNCSTR_InfSubsSetFailed       isy_T("定期抄寫集失敗")
#define ISYNCSTR_InfSubsSetCanceled     isy_T("定期抄寫集已取消")
#ifdef UNDER_PO
#define ISYNCSTR_InfSubsSetSucceeded    isy_T("定期抄寫集已成功")
#define ISYNCSTR_InfSyncSucceeded       isy_T("同步化已成功")
#else
#define ISYNCSTR_InfSubsSetSucceeded    isy_T("定期抄寫集已成功")
#define ISYNCSTR_InfSyncSucceeded       isy_T("同步化已成功")
#endif
#define ISYNCSTR_InfSyncFailed          isy_T("同步化已失敗")
#define ISYNCSTR_InfSyncCanceled        isy_T("同步化已取消")
#define ISYNCSTR_InfSyncProg            isy_T("同步化正在進行")
#define ISYNCSTR_InfNoNewChange         isy_T("上次同步化後沒有變更")
#define ISYNCSTR_InfLoginFailed         isy_T("登入失敗")

// Conflict events
#define ISYNCSTR_CftReject              isy_T("衝突的記錄：")

// Error events
#define ISYNCSTR_ErrOpenAdapter         isy_T("無法開啟配接卡：")
#define ISYNCSTR_ErrLoadAdapter         isy_T("無法載入配接卡：")
#define ISYNCSTR_ErrCloseAdapter        isy_T("無法關閉配接卡：")
#define ISYNCSTR_ErrAuthenticateKey     isy_T("無法識別的用戶端訊息格式")
#define ISYNCSTR_ErrClientCryptoFailed  isy_T("用戶端加密/解密失敗")
#define ISYNCSTR_ErrEncryptNotAvail     isy_T("無可用的加密")
#define ISYNCSTR_ErrEncryptLibOpen      isy_T("無法開啟加密檔案庫")
#define ISYNCSTR_ErrSubsNotFound        isy_T("找不到定期抄寫")
#define ISYNCSTR_ErrSubsNotAvail        isy_T("伺服器阻擋定期抄寫")
#define ISYNCSTR_ErrSubsDefAltered      isy_T("已改變定期抄寫定義")

#define ISYNCSTR_ErrCloseNetLib         isy_T("無法關閉網路檔案庫")
#define ISYNCSTR_ErrOutOfMemory         isy_T("記憶體不足")

#define ISYNCSTR_ErrAllocResource       isy_T("無法配置配接卡資源")
#define ISYNCSTR_ErrConnectData         isy_T("無法連接目標資料")
#define ISYNCSTR_ErrConnectFile         isy_T("無法建立檔案或路徑")
#define ISYNCSTR_ErrDisconnectData      isy_T("無法切斷目標資料")
#define ISYNCSTR_ErrNoData              isy_T("定期抄寫中沒有表格被定期抄寫")
#define ISYNCSTR_ErrSyncDisabled        isy_T("伺服器報告未針對同步化啟用定期抄寫")
#define ISYNCSTR_ErrServerException     isy_T("伺服器報告異常狀況")
#define ISYNCSTR_ErrMessageFormat       isy_T("非預期的訊息格式")
#define ISYNCSTR_ErrNotFound            isy_T("找不到要求的目標表格")
#define ISYNCSTR_ErrEndOfData           isy_T("非預期的資料結尾")
#define ISYNCSTR_ErrDataTooLong         isy_T("對於相對應的欄位來說，資料過長")
#define ISYNCSTR_ErrReadOnly            isy_T("嘗試將變更上載到唯讀資料")
#define ISYNCSTR_ErrOperation           isy_T("嘗試上載不容許的作業")
#define ISYNCSTR_ErrUnauthorized        isy_T("無權存取已加密的目標資料")
#define ISYNCSTR_ErrNotAvailable        isy_T("無可用的要求資料")
#define ISYNCSTR_ErrNotSupported        isy_T("不支援要求的資料類型")

#define ISYNCSTR_ErrInternal            isy_T("內部錯誤或不一致狀態")

// Fatal events
#define ISYNCSTR_FatSyncCfgAbort        isy_T("配置同步化失敗 - 同步化已中斷")
#define ISYNCSTR_FatAuthenticateFailed  isy_T("鑑別失敗 - 同步化已中斷")
#define ISYNCSTR_FatIncompVersion       isy_T("不相容的 Sync Client 版本")
#define ISYNCSTR_FatInvalidSession      isy_T("嘗試從備份用戶端同步化")
#define ISYNCSTR_FatSyncGroup           isy_T("未將使用者指定給具有同步化專用權的任何群組")
#define ISYNCSTR_FatRegisterDevice      isy_T("無法登錄裝置")
#define ISYNCSTR_FatServerForbidden     isy_T("禁止同步化伺服器")
#define ISYNCSTR_FatServerNotFound      isy_T("找不到伺服器")
#define ISYNCSTR_FatServerNotAvail      isy_T("伺服器無回應")
#define ISYNCSTR_FatServer              isy_T("內部 Sync Server 錯誤")
#define ISYNCSTR_FatNetOpenConn         isy_T("無法開啟連線")
#define ISYNCSTR_FatOpenNetLib          isy_T("無法開啟網路檔案庫")
#define ISYNCSTR_FatNetConnect          isy_T("無法建立連線")
#define ISYNCSTR_FatNetSend             isy_T("無法傳送要求")
#define ISYNCSTR_FatNetReceive          isy_T("無法接收回覆")
#define ISYNCSTR_FatNetTimeout          isy_T("接收回覆時發生逾時")
#define ISYNCSTR_FatResolveHost         isy_T("無法解析主機名稱")
#define ISYNCSTR_FatNetUnknown          isy_T("不明的網路錯誤")
#define ISYNCSTR_FatServerBusy          isy_T("伺服器忙線")
#define ISYNCSTR_FatProtocolNotSupported isy_T("不支援傳輸通訊協定")
#define ISYNCSTR_FatCreateImage         isy_T("嘗試在沒有有效裝置 ID 的情況下建立用戶端映像檔")

// Retry events
#define ISYNCSTR_TryNetConnect          isy_T("網路連線失敗。是否重試？")
#define ISYNCSTR_TryNetSend             isy_T("傳送要求失敗。是否重試？")
#define ISYNCSTR_TryNetReceive          isy_T("接收回覆失敗。是否重試？")
#define ISYNCSTR_TryNetTimeout          isy_T("接收逾時。是否繼續等待？")
#define ISYNCSTR_TryServerBusy          isy_T("伺服器忙線。要再試嗎？")

// Query events
#define ISYNCSTR_QueCancel              isy_T("您是否要「取消」？")
#define ISYNCSTR_QueLogin               isy_T("正在查詢登入... ")
#define ISYNCSTR_QueCancelUponError     isy_T("發生錯誤。是否繼續？")
#define ISYNCSTR_QueSubsTarget          isy_T("正在查詢定期抄寫資料庫...")

/************************************************************************
 * GUI resource strings
 ************************************************************************
 */

#define ISYNCSTR_DateTime               isy_T("y-m-d h:t:s")	
#define ISYNCSTR_ChangeTarget           isy_T("變更目標目錄需要重設配置。是否繼續？")
#define ISYNCSTR_ResetConfig            isy_T("按一下「確定」將清除所有配置資料，並且會在下一個同步化中全部重新整理。是否要繼續？")

#ifdef UNDER_PO
#define ISYNCSTR_Succeeded              isy_T("成功")
#else
#define ISYNCSTR_Succeeded              isy_T("成功")
#endif
#define ISYNCSTR_Failed                 isy_T("失敗")
#define ISYNCSTR_Cancelled              isy_T("已取消")
#define ISYNCSTR_Ready                  isy_T("備妥")

#define ISYNCSTR_Subscription           isy_T("定期抄寫")
#define ISYNCSTR_SubsSet                isy_T("定期抄寫集")
#define ISYNCSTR_Synchronize            isy_T("同步化")
#define ISYNCSTR_Synch                  isy_T("同步")
#define ISYNCSTR_TryConnect             isy_T("嘗試建立連線...")

#define ISYNCSTR_Retry                  isy_T("重試")
#define ISYNCSTR_StartupError           isy_T("「同步化引擎」啟動錯誤。請確定路徑是否有效。錯誤碼：")

#define ISYNCSTR_MSG_CONFLICT           isy_T("表格：")
#define ISYNCSTR_MSG_OP_DELETE          isy_T("作業：刪除")
#define ISYNCSTR_MSG_OP_INSERT          isy_T("作業：插入")
#define ISYNCSTR_MSG_OP_UPDATE          isy_T("作業：更新")
#define ISYNCSTR_MSG_OP_INVALID         isy_T("作業：無效")
#define ISYNCSTR_MSG_DATA               isy_T("資料：")
#define ISYNCSTR_MSG_NULL               isy_T(" [ 空值 ] ")

#define ISYNCSTR_Enabled                isy_T("已啟用")
#define ISYNCSTR_Disabled               isy_T("已停用")

#define ISYNCSTR_Default                isy_T("預設值")
#define ISYNCSTR_Detailed               isy_T("明細")

#define ISYNCSTR_TIMEOUTMinimum         isy_T("(最小值)")
#define ISYNCSTR_TIMEOUTNever           isy_T("(未曾)")
#define ISYNCSTR_TIMEOUT1min            isy_T("1 分鐘")
#define ISYNCSTR_TIMEOUT2min            isy_T("2 分鐘")
#define ISYNCSTR_TIMEOUT3min            isy_T("3 分鐘")
#define ISYNCSTR_TIMEOUT4min            isy_T("4 分鐘")
#define ISYNCSTR_TIMEOUT5min            isy_T("5 分鐘")
#define ISYNCSTR_TIMEOUT6min            isy_T("6 分鐘")
#define ISYNCSTR_TIMEOUT7min            isy_T("7 分鐘")
#define ISYNCSTR_TIMEOUT8min            isy_T("8 分鐘")
#define ISYNCSTR_TIMEOUT9min            isy_T("9 分鐘")
#define ISYNCSTR_TIMEOUT10min           isy_T("10 分鐘")
#define ISYNCSTR_TIMEOUT15min           isy_T("15 分鐘")
#define ISYNCSTR_TIMEOUT20min           isy_T("20 分鐘")
#define ISYNCSTR_TIMEOUT25min           isy_T("25 分鐘")
#define ISYNCSTR_TIMEOUT30min           isy_T("30 分鐘")
#define ISYNCSTR_TIMEOUT40min           isy_T("40 分鐘")
#define ISYNCSTR_TIMEOUT50min           isy_T("50 分鐘")
#define ISYNCSTR_TIMEOUT60min           isy_T("60 分鐘")

#define ISYNCSTR_4KMODEM                isy_T("4 K 數據機")
#define ISYNCSTR_9KGSM                  isy_T("9 K GSM")
#define ISYNCSTR_19KMODEM               isy_T("19 K 數據機")
#define ISYNCSTR_56KMODEM               isy_T("56 K 數據機")
#define ISYNCSTR_64KGPRS                isy_T("64 K GPRS")

#define ISYNCSTR_About                  isy_T("關於 DB2 Sync")
#define ISYNCSTR_SubsSet_Abv            isy_T("定期抄寫集")
#define ISYNCSTR_SubsSets_Abv           isy_T("定期抄寫集")
#define ISYNCSTR_Settings               isy_T("設定")
#define ISYNCSTR_SubsSet_Settings       isy_T("定期抄寫集的設定")
#define ISYNCSTR_Server                 isy_T("伺服器")
#define ISYNCSTR_Enable                 isy_T("啟用")
#define ISYNCSTR_Disable                isy_T("停用")
#define ISYNCSTR_Details                isy_T("明細")
#define ISYNCSTR_Purge                  isy_T("清除")
#define ISYNCSTR_Status                 isy_T("狀態")
#define ISYNCSTR_Reset                  isy_T("重設")
#define ISYNCSTR_Client_Settings        isy_T("用戶端設定")
#define ISYNCSTR_Client                 isy_T("用戶端")
#define ISYNCSTR_Trace                  isy_T("追蹤")
#define ISYNCSTR_TargetDir              isy_T("目標路徑：")
#define ISYNCSTR_DB2e_Authen            isy_T("DB2e 鑑別")
#define ISYNCSTR_Target                 isy_T("目標")
#define ISYNCSTR_DB2e_User              isy_T("DB2e 使用者")
#define ISYNCSTR_DB2e_Password          isy_T("DB2e 密碼")
#define ISYNCSTR_Network_Settings       isy_T("網路設定")
#define ISYNCSTR_Network                isy_T("網路")
#define ISYNCSTR_Timeout                isy_T("逾時")
#define ISYNCSTR_Network_Speed          isy_T("網路速度")
#define ISYNCSTR_Proxy                  isy_T("使用 Proxy")
#define ISYNCSTR_Host                   isy_T("主機")
#define ISYNCSTR_Port                   isy_T("埠")
#define ISYNCSTR_Save_Password          isy_T("儲存密碼")
#define ISYNCSTR_Server_Settings        isy_T("伺服器設定")
#define ISYNCSTR_URL                    isy_T("URL")
#define ISYNCSTR_User                   isy_T("使用者")
#define ISYNCSTR_Password               isy_T("密碼")
#define ISYNCSTR_Synchronization        isy_T("同步化")
#define ISYNCSTR_Log                    isy_T("日誌")
#define ISYNCSTR_File                   isy_T("檔案")
#define ISYNCSTR_Help                   isy_T("說明")
#define ISYNCSTR_Exit                   isy_T("結束")
#define ISYNCSTR_OK                     isy_T("確定")
#define ISYNCSTR_Cancel                 isy_T("取消")
#define ISYNCSTR_Change                 isy_T("變更")
#define ISYNCSTR_Message                isy_T("訊息")
#define ISYNCSTR_Action                 isy_T("動作")
#define ISYNCSTR_No                     isy_T("否")
#define ISYNCSTR_Yes                    isy_T("是")
#define ISYNCSTR_Continue               isy_T("繼續")
#define ISYNCSTR_NotSet                 isy_T("未設定使用者/密碼")
#define ISYNCSTR_Device                 isy_T("裝置")
#define ISYNCSTR_Unknown                isy_T("不明")
#define ISYNCSTR_DB2Sync                isy_T("DB2 Sync")
#define ISYNCSTR_Slot                   isy_T("記憶體插槽：")
#define ISYNCSTR_Save                   isy_T("儲存")
#define ISYNCSTR_Enter                  isy_T("輸入：")
#define ISYNCSTR_Assigned               isy_T("已指定")
#define ISYNCSTR_NotAssigned            isy_T("未指定")
#define ISYNCSTR_Options                isy_T("選項")
