/************************************************************************
 *
 * Licensed Materials - Property of IBM
 * Program Name: IBM DB2Everyplace Sync Client GUI
 * (c ) Copyright IBM Corp. 1999-2003. All Rights Reserved.
 *
 * US Government Users Restricted Rights 
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. Licensed Materials - Property of IBM
 *
 * IBM grants you ("Licensee") a non-exclusive, royalty free, license to
 * use Sample Code.  This software is provided as-is and without any
 * warranties, whether EXPRESS OR  IMPLIED, INCLUDING ANY IMPLIED
 * WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR 
 * NON-INFRINGEMENT. IBM AND ITS LICENSORS SHALL NOT BE LIABLE FOR ANY 
 * DAMAGES SUFFERED BY LICENSEE THAT RESULT FROM YOUR USE OF THE SOFTWARE.
 * IN NO EVENT WILL IBM OR ITS LICENSORS BE LIABLE FOR ANY LOST REVENUE,
 * PROFIT OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, 
 * INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE 
 * THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE 
 * SOFTWARE, EVEN IF IBM HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH 
 * DAMAGES.
 *
 ************************************************************************
 */
/************************************************************************
 *
 * File Name:  messages.h
 * Description: Error messages (Japanese)
 *
 ************************************************************************
 */

// Information events
#define ISYNCSTR_InfGeneral             isy_T("一般情報")
#define ISYNCSTR_InfSyncStarted         isy_T("同期が開始しました")
#define ISYNCSTR_InfPrepMsg             isy_T("メッセージを準備中...")
#define ISYNCSTR_InfSendMsg             isy_T("メッセージを送信中...")
#define ISYNCSTR_InfWaitMsg             isy_T("サーバー応答を待機中...")
#define ISYNCSTR_InfApplyMsg            isy_T("サーバー・メッセージを適用中...")
#define ISYNCSTR_InfCancelingSync       isy_T("同期を取り消しています...")
#define ISYNCSTR_InfSubsSetStarted      isy_T("サブスクリプション・セットが開始しました")
#define ISYNCSTR_InfSyncingSubs         isy_T("同期サブスクリプション...")
#define ISYNCSTR_InfSubsSetFailed       isy_T("サブスクリプション・セットが失敗しました")
#define ISYNCSTR_InfSubsSetCanceled     isy_T("サブスクリプション・セットがキャンセルされました")
#define ISYNCSTR_InfSubsSetSucceeded    isy_T("サブスクリプション・セットが成功しました")
#define ISYNCSTR_InfSyncSucceeded       isy_T("同期が成功しました")
#define ISYNCSTR_InfSyncFailed          isy_T("同期が失敗しました")
#define ISYNCSTR_InfSyncCanceled        isy_T("同期がキャンセルされました")
#define ISYNCSTR_InfSyncProg            isy_T("同期が進行中です")
#define ISYNCSTR_InfNoNewChange         isy_T("最後の同期以降新しい変更はありません")
#define ISYNCSTR_InfLoginFailed         isy_T("ログインが失敗しました")

// Conflict events
#define ISYNCSTR_CftReject              isy_T("矛盾したレコード: ")

// Error events
#define ISYNCSTR_ErrOpenAdapter         isy_T("アダプターのオープンが失敗しました:")
#define ISYNCSTR_ErrLoadAdapter         isy_T("アダプターのロードが失敗しました:")
#define ISYNCSTR_ErrCloseAdapter        isy_T("アダプターのクローズが失敗しました:")
#define ISYNCSTR_ErrAuthenticateKey     isy_T("認識できないクライアント・メッセージ・フォーマットです")
#define ISYNCSTR_ErrClientCryptoFailed  isy_T("クライアントの暗号化/暗号化解除が失敗しました")
#define ISYNCSTR_ErrEncryptNotAvail     isy_T("暗号化が使用できません")
#define ISYNCSTR_ErrEncryptLibOpen      isy_T("暗号化ライブラリーのオープンに失敗しました")
#define ISYNCSTR_ErrSubsNotFound        isy_T("サブスクリプションが見つかりません")
#define ISYNCSTR_ErrSubsNotAvail        isy_T("サブスクリプションがサーバーによりブロックされました")
#define ISYNCSTR_ErrSubsDefAltered      isy_T("サブスクリプション定義が変更されました")

#define ISYNCSTR_ErrCloseNetLib         isy_T("ネットワーク・ライブラリーのクローズに失敗しました")
#define ISYNCSTR_ErrOutOfMemory         isy_T("メモリー不足")

#define ISYNCSTR_ErrAllocResource       isy_T("アダプター・リソースの割り振りが失敗しました")
#define ISYNCSTR_ErrConnectData         isy_T("ターゲット・データへの接続が失敗しました")
#define ISYNCSTR_ErrConnectFile         isy_T("ファイルまたはパスの作成が失敗しました")
#define ISYNCSTR_ErrDisconnectData      isy_T("ターゲット・データからの切断が失敗しました")
#define ISYNCSTR_ErrNoData              isy_T("サブスクリプションに表がサブスクライブされていません")
#define ISYNCSTR_ErrSyncDisabled        isy_T("同期に対してサブスクリプションが使用可能になっていないことがサーバーにより報告されました")
#define ISYNCSTR_ErrServerException     isy_T("サーバーが例外を報告しました")
#define ISYNCSTR_ErrMessageFormat       isy_T("予期しないメッセージ・フォーマット")
#define ISYNCSTR_ErrNotFound            isy_T("要求されたターゲット表が見つかりません")
#define ISYNCSTR_ErrEndOfData           isy_T("予期しないデータ終わり")
#define ISYNCSTR_ErrDataTooLong         isy_T("対応フィールドに対してデータが長すぎます")
#define ISYNCSTR_ErrReadOnly            isy_T("読み取り専用データに対する変更をアップロードしようとしました")
#define ISYNCSTR_ErrOperation           isy_T("禁止された操作をアップロードしようとしました")
#define ISYNCSTR_ErrUnauthorized        isy_T("暗号化されたターゲット・データへのアクセスを許可されていません")
#define ISYNCSTR_ErrNotAvailable        isy_T("要求されたデータは使用できません")
#define ISYNCSTR_ErrNotSupported        isy_T("要求されたデータ・タイプはサポートされていません")

#define ISYNCSTR_ErrInternal            isy_T("内部エラーまたは矛盾状態です")

// Fatal events
#define ISYNCSTR_FatSyncCfgAbort        isy_T("構成同期の失敗 - 同期は異常終了しました")
#define ISYNCSTR_FatAuthenticateFailed  isy_T("認証の失敗 - 同期は異常終了しました")
#define ISYNCSTR_FatIncompVersion       isy_T("同期クライアントのバージョンが非互換です")
#define ISYNCSTR_FatInvalidSession      isy_T("バックアップされたクライアントから同期しようとしました")
#define ISYNCSTR_FatSyncGroup           isy_T("ユーザーが同期特権を保有するグループに割り当てられていません")
#define ISYNCSTR_FatRegisterDevice      isy_T("デバイスの登録に失敗しました")
#define ISYNCSTR_FatServerForbidden     isy_T("サーバーへの同期は禁止されています")
#define ISYNCSTR_FatServerNotFound      isy_T("サーバーが見つかりません")
#define ISYNCSTR_FatServerNotAvail      isy_T("サーバーが応答していません")
#define ISYNCSTR_FatServer              isy_T("内部同期サーバー・エラー")
#define ISYNCSTR_FatNetOpenConn         isy_T("接続のオープンに失敗しました")
#define ISYNCSTR_FatOpenNetLib          isy_T("ネットワーク・ライブラリーのオープンに失敗しました")
#define ISYNCSTR_FatNetConnect          isy_T("接続の確立に失敗しました")
#define ISYNCSTR_FatNetSend             isy_T("要求の送信が失敗しました")
#define ISYNCSTR_FatNetReceive          isy_T("応答の受信が失敗しました")
#define ISYNCSTR_FatNetTimeout          isy_T("応答の受信中にタイムアウトになりました")
#define ISYNCSTR_FatResolveHost         isy_T("ホスト名の解決に失敗しました")
#define ISYNCSTR_FatNetUnknown          isy_T("不明なネットワーク・エラー")
#define ISYNCSTR_FatServerBusy          isy_T("サーバーは使用中です")
#define ISYNCSTR_FatProtocolNotSupported isy_T("サポートされないトランスポート・プロトコルです")
#define ISYNCSTR_FatCreateImage         isy_T("有効なデバイス ID を指定せずにクライアント・イメージを作成しようとしました")

// Retry events
#define ISYNCSTR_TryNetConnect          isy_T("ネットワークの接続が失敗しました。再試行しますか?")
#define ISYNCSTR_TryNetSend             isy_T("要求の送信が失敗しました。再試行しますか?")
#define ISYNCSTR_TryNetReceive          isy_T("応答の受信が失敗しました。再試行しますか?")
#define ISYNCSTR_TryNetTimeout          isy_T("タイムアウトを受信しました。さらに待機しますか?")
#define ISYNCSTR_TryServerBusy          isy_T("サーバーは使用中です。再試行しますか?")

// Query events
#define ISYNCSTR_QueCancel              isy_T("キャンセルしますか?")
#define ISYNCSTR_QueLogin               isy_T("ログインを照会中... ")
#define ISYNCSTR_QueCancelUponError     isy_T("エラーが発生しました。続行しますか?")
#define ISYNCSTR_QueSubsTarget          isy_T("サブスクリプション・データベースを照会中です...")

/************************************************************************
 * GUI resource strings
 ************************************************************************
 */

#define ISYNCSTR_DateTime               isy_T("y/m/d h:t:s")	
#define ISYNCSTR_ChangeTarget           isy_T("ターゲット・ディレクトリーを変更するには構成のリセットが必要です。続行しますか?")
#define ISYNCSTR_ResetConfig            isy_T("「OK」をクリックすると、すべての構成データが消去され、次回の同期時に全体がリフレッシュされます。続行しますか？")

#define ISYNCSTR_Succeeded              isy_T("正常終了")
#define ISYNCSTR_Failed                 isy_T("失敗")
#define ISYNCSTR_Cancelled              isy_T("キャンセル")
#ifdef UNDER_PO
#define ISYNCSTR_Ready                  isy_T("作動可能")
#else
#define ISYNCSTR_Ready                  isy_T("作動可能")
#endif

#define ISYNCSTR_Subscription           isy_T("サブスクリプション ")
#define ISYNCSTR_SubsSet                isy_T("サブスクリプション・セット ")
#define ISYNCSTR_Synchronize            isy_T("同期化")
#define ISYNCSTR_Synch                  isy_T("同期")
#define ISYNCSTR_TryConnect             isy_T("接続の確立中...")

#define ISYNCSTR_Retry                  isy_T("再試行")
#define ISYNCSTR_StartupError           isy_T("同期エンジンの始動エラー。パスが有効であることを確認します。エラー・コード: ")

#define ISYNCSTR_MSG_CONFLICT           isy_T("表:")
#define ISYNCSTR_MSG_OP_DELETE          isy_T("操作: 削除")
#define ISYNCSTR_MSG_OP_INSERT          isy_T("操作: 挿入")
#define ISYNCSTR_MSG_OP_UPDATE          isy_T("操作: 更新")
#define ISYNCSTR_MSG_OP_INVALID         isy_T("操作: 無効")
#define ISYNCSTR_MSG_DATA               isy_T("データ:")
#define ISYNCSTR_MSG_NULL               isy_T(" [ NULL ] ")

#ifdef UNDER_PO
#define ISYNCSTR_Enabled                isy_T("使用可能")
#else
#define ISYNCSTR_Enabled                isy_T("使用可能")
#endif
#define ISYNCSTR_Disabled               isy_T("使用不可")

#define ISYNCSTR_Default                isy_T("デフォルト")
#define ISYNCSTR_Detailed               isy_T("詳細")

#define ISYNCSTR_TIMEOUTMinimum         isy_T("(最小)")
#define ISYNCSTR_TIMEOUTNever           isy_T("(never)")
#define ISYNCSTR_TIMEOUT1min            isy_T("1 分")
#define ISYNCSTR_TIMEOUT2min            isy_T("2 分")
#define ISYNCSTR_TIMEOUT3min            isy_T("3 分")
#define ISYNCSTR_TIMEOUT4min            isy_T("4 分")
#define ISYNCSTR_TIMEOUT5min            isy_T("5 分")
#define ISYNCSTR_TIMEOUT6min            isy_T("6 分")
#define ISYNCSTR_TIMEOUT7min            isy_T("7 分")
#define ISYNCSTR_TIMEOUT8min            isy_T("8 分")
#define ISYNCSTR_TIMEOUT9min            isy_T("9 分")
#define ISYNCSTR_TIMEOUT10min           isy_T("10 分")
#define ISYNCSTR_TIMEOUT15min           isy_T("15 分")
#define ISYNCSTR_TIMEOUT20min           isy_T("20 分")
#define ISYNCSTR_TIMEOUT25min           isy_T("25 分")
#define ISYNCSTR_TIMEOUT30min           isy_T("30 分")
#define ISYNCSTR_TIMEOUT40min           isy_T("40 分")
#define ISYNCSTR_TIMEOUT50min           isy_T("50 分")
#define ISYNCSTR_TIMEOUT60min           isy_T("60 分")

#define ISYNCSTR_4KMODEM                isy_T("4 K モデム")
#define ISYNCSTR_9KGSM                  isy_T("9 K GSM")
#define ISYNCSTR_19KMODEM               isy_T("19 K モデム")
#define ISYNCSTR_56KMODEM               isy_T("56 K モデム")
#define ISYNCSTR_64KGPRS                isy_T("64 K GPRS")

#define ISYNCSTR_About                  isy_T("DB2 Sync について")
#define ISYNCSTR_SubsSet_Abv            isy_T("サブス・・・セット")
#define ISYNCSTR_SubsSets_Abv           isy_T("サブス・・・セット設定")
#define ISYNCSTR_Settings               isy_T("設定値")
#define ISYNCSTR_SubsSet_Settings       isy_T("サブスクリプション・セット設定")
#define ISYNCSTR_Server                 isy_T("サーバー")
#ifdef UNDER_PO
#define ISYNCSTR_Enable                 isy_T("使用可能")
#else
#define ISYNCSTR_Enable                 isy_T("使用可能")
#endif
#define ISYNCSTR_Disable                isy_T("使用不可")
#define ISYNCSTR_Details                isy_T("詳細")
#define ISYNCSTR_Purge                  isy_T("パージ")
#define ISYNCSTR_Status                 isy_T("状況")
#define ISYNCSTR_Reset                  isy_T("リセット")
#define ISYNCSTR_Client_Settings        isy_T("クライアント設定")
#define ISYNCSTR_Client                 isy_T("クライアント")
#define ISYNCSTR_Trace                  isy_T("トレース")
#define ISYNCSTR_TargetDir              isy_T("ターゲット・パス:")
#define ISYNCSTR_DB2e_Authen            isy_T("DB2e 認証")
#define ISYNCSTR_Target                 isy_T("ターゲット")
#define ISYNCSTR_DB2e_User              isy_T("DB2e ユーザー")
#define ISYNCSTR_DB2e_Password          isy_T("DB2e パスワード")
#define ISYNCSTR_Network_Settings       isy_T("ネットワーク設定")
#define ISYNCSTR_Network                isy_T("ネットワーク")
#define ISYNCSTR_Timeout                isy_T("タイムアウト")
#define ISYNCSTR_Network_Speed          isy_T("ネットワーク速度")
#define ISYNCSTR_Proxy                  isy_T("プロキシーの使用")
#define ISYNCSTR_Host                   isy_T("ホスト")
#define ISYNCSTR_Port                   isy_T("ポート")
#define ISYNCSTR_Save_Password          isy_T("パスワードの保管")
#define ISYNCSTR_Server_Settings        isy_T("サーバー設定")
#define ISYNCSTR_URL                    isy_T("URL")
#define ISYNCSTR_User                   isy_T("ユーザー")
#define ISYNCSTR_Password               isy_T("パスワード")
#define ISYNCSTR_Synchronization        isy_T("同期")
#define ISYNCSTR_Log                    isy_T("ログ")
#define ISYNCSTR_File                   isy_T("ファイル")
#define ISYNCSTR_Help                   isy_T("ヘルプ")
#define ISYNCSTR_Exit                   isy_T("終了")
#define ISYNCSTR_OK                     isy_T("OK")
#define ISYNCSTR_Cancel                 isy_T("キャンセル")
#define ISYNCSTR_Change                 isy_T("変更")
#define ISYNCSTR_Message                isy_T("メッセージ")
#define ISYNCSTR_Action                 isy_T("アクション")
#define ISYNCSTR_No                     isy_T("いいえ")
#define ISYNCSTR_Yes                    isy_T("はい")
#define ISYNCSTR_Continue               isy_T("続く")
#define ISYNCSTR_NotSet                 isy_T("ユーザー/パスワードが設定されていません")
#define ISYNCSTR_Device                 isy_T("デバイス")
#define ISYNCSTR_Unknown                isy_T("不明 ")
#define ISYNCSTR_DB2Sync                isy_T("DB2 Sync")
#define ISYNCSTR_Slot                   isy_T("メモリー・スロット:")
#define ISYNCSTR_Save                   isy_T("保管")
#define ISYNCSTR_Enter                  isy_T("入力")
#define ISYNCSTR_Assigned               isy_T("割り当て済み")
#define ISYNCSTR_NotAssigned            isy_T("未割り当て")
#define ISYNCSTR_Options                isy_T("オプション")
