/************************************************************************
 *
 * Licensed Materials - Property of IBM
 * Program Name: IBM DB2Everyplace Sync Client GUI
 * (c ) Copyright IBM Corp. 1999-2003. All Rights Reserved.
 *
 * US Government Users Restricted Rights 
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. Licensed Materials - Property of IBM
 *
 * IBM grants you ("Licensee") a non-exclusive, royalty free, license to
 * use Sample Code.  This software is provided as-is and without any
 * warranties, whether EXPRESS OR  IMPLIED, INCLUDING ANY IMPLIED
 * WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR 
 * NON-INFRINGEMENT. IBM AND ITS LICENSORS SHALL NOT BE LIABLE FOR ANY 
 * DAMAGES SUFFERED BY LICENSEE THAT RESULT FROM YOUR USE OF THE SOFTWARE.
 * IN NO EVENT WILL IBM OR ITS LICENSORS BE LIABLE FOR ANY LOST REVENUE,
 * PROFIT OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, 
 * INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE 
 * THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE 
 * SOFTWARE, EVEN IF IBM HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH 
 * DAMAGES.
 *
 ************************************************************************
 */
/************************************************************************
 *
 * File Name:  osdefs_nto.c
 * Description: OS-specific routines (Neutrino)
 *
 ************************************************************************
 */

#include "osdefs.h"
#include <time.h>

// Timestamp functions
void ntoGetCurrentDateTime(int *py, int *pm, int *pd, int *phr, int *pmi, int *pse)
{  
  int year, month, day, hour, min, sec;
  time_t t = time(&t);
  struct tm *lt;
  lt = localtime(&t);

  year = 2000 + lt->tm_year - 100;
  month = lt->tm_mon+1;
  day = lt->tm_mday;
  hour = lt->tm_hour;
  min = lt->tm_min;
  sec = lt->tm_sec;

  *py = year;
  *pm = month;
  *pd = day;
  *phr = hour;
  *pmi = min;
  *pse = sec;

}
